#
# spec file for package perf
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perf
%define version %(rpm -q --qf '%{VERSION}' kernel-source)
Version:        %{version}
Release:        150500.52.3.1
Summary:        Performance Monitoring Tools for Linux
License:        GPL-2.0-only
Group:          Development/Tools/Debuggers
Url:            https://perf.wiki.kernel.org/
BuildRequires:  asciidoc
BuildRequires:  audit-devel
BuildRequires:  binutils-devel
BuildRequires:  bison
BuildRequires:  fdupes
BuildRequires:  flex
BuildRequires:  gtk2-devel
BuildRequires:  kernel-source >= 2.6.31
BuildRequires:  libdw-devel
BuildRequires:  libelf-devel
BuildRequires:  OpenCSD-devel
BuildRequires:  python3-devel
BuildRequires:  xz-devel
%ifarch aarch64 ia64 x86_64 ppc64 ppc64le ppc %sparc
BuildRequires:  libnuma-devel
%endif
%ifarch s390x s390
%define         _perf_unwind NO_LIBUNWIND=1
%else
%define         _perf_unwind %{nil}
BuildRequires:  libunwind-devel
%endif
BuildRequires:  newt-devel
BuildRequires:  openssl-devel
BuildRequires:  xmlto
BuildRequires:  zlib-devel
# dl_open requirement so not autodetected
%ifarch ppc64 ppc64le
Requires:       libebl
%endif
%{perl_requires}
%{?libperl_requires}
# upstream patches
Patch1:         perf-vendor-events-intel-Add-core-event-list-for-Tigerlake.patch
Patch2:         perf-vendor-events-Add-metrics-for-Tigerlake.patch
Patch3:         perf-vendor-events-intel-Add-core-event-list-for-Elkhartlake.patch
Patch4:         perf-vendor-events-intel-Add-basic-metrics-for-Elkhartlake.patch
Patch5:         perf-tools-Remove-repipe-argument-from-perf_session__new.patch
Patch6:         perf-tools-Pass-a-fd-to-perf_file_header__read_pipe.patch
Patch7:         perf-inject-Fix-output-from-a-pipe-to-a-file.patch
Patch8:         perf-inject-Fix-output-from-a-file-to-a-pipe.patch
Patch9:         perf-bench-futex-Group-test-parameters-cleanup.patch
Patch10:        perf-vendor-events-Add-metrics-for-Icelake-Server.patch
Patch11:        perf-env-Track-kernel-64-bit-mode-in-environment.patch
Patch12:        perf-vendor-events-intel-Update-core-event-list-for-CascadeLake-Server.patch
Patch13:        perf-vendor-events-intel-Update-uncore-event-list-for-CascadeLake-Server.patch
Patch14:        perf-vendor-events-Update-metrics-for-CascadeLake-Server.patch
Patch15:        perf-vendor-events-intel-Update-core-event-list-for-SkyLake-Server.patch
Patch16:        perf-vendor-events-intel-Update-uncore-event-list-for-SkyLake-Server.patch
Patch17:        perf-vendor-events-Update-metrics-for-SkyLake-Server-c4ad8fab.patch
Patch18:        perf-env-Add-perf_env__cpuid-perf_env__-nr_-pmu_mappings.patch
Patch19:        perf-report-Add-support-to-print-a-textual-representation-of-IBS-raw-sample-data.patch
Patch20:        perf-tools-Add-an-option-to-build-without-libbfd.patch
Patch21:        perf-vendor-events-powerpc-Fix-spelling-mistake-icach-icache.patch
Patch22:        perf-tests-attr-Add-missing-topdown-metrics-events.patch
Patch23:        tools-perf-Add-mem_hops-field-in-perf_mem_data_src-structure.patch
Patch24:        perf-vendor-events-arm64-Revise-hip08-uncore-events.patch
Patch25:        perf-vendor-events-Fix-all-remaining-invalid-JSON-files.patch
Patch26:        perf-vendor-events-Syntax-corrections-in-Neoverse-N1-json.patch
Patch27:        perf-vendor-events-arm64-Add-new-armv8-pmu-events.patch
Patch28:        perf-vendor-events-arm64-Categorise-the-Neoverse-V1-counters.patch
Patch29:        perf-powerpc-Add-support-to-expose-instruction-and-data-address-registers-as-part-of-extended-regs.patch
Patch30:        tools-build-Drop-needless-slang-include-path-in-test-all.patch
Patch31:        perf-evsel-Add-bitfield_swap-to-handle-branch_stack-endian-issue.patch
Patch32:        perf-test-sample-parsing-Add-endian-test-for-struct-branch_flags.patch
Patch33:        perf-evsel-don-t-set-exclude_guest-by-default.patch
Patch34:        perf-vendor-events-power10-Add-metric-events-JSON-file-for-power10-platform.patch
Patch35:        perf-bpf-Avoid-memory-leak-from-perf_env__insert_btf.patch
Patch36:        perf-tests-Remove-bash-construct-from-record-zstd_comp_decomp.sh.patch
Patch37:        perf-test-sample-parsing-Fix-branch_stack-entry-endianness-check.patch
Patch38:        perf-bench-Fix-two-memory-leaks-detected-with-ASan.patch
Patch39:        perf-tools-Fix-SMT-detection-fast-read-path.patch
Patch40:        tools-build-Remove-needless-libpython-version-feature-check-that-breaks-test-all-fast-path.patch
Patch41:        perf-bpf-Fix-building-perf-with-BUILD_BPF_SKEL-1-by-default-in-more-distros.patch
Patch42:        perf-bpf_skel-Do-not-use-typedef-to-avoid-error-on-old-clang.patch
Patch43:        perf-intel-pt-Fix-some-PGE-packet-generation-enable-control-flow-packets-usage.patch
Patch44:        perf-intel-pt-Fix-sync-state-when-a-PSB-synchronization-packet-is-found.patch
Patch45:        perf-intel-pt-Fix-intel_pt_fup_event-assumptions-about-setting-state-type.patch
Patch46:        perf-intel-pt-Fix-state-setting-when-receiving-overflow-OVF-packet.patch
Patch47:        perf-intel-pt-Fix-next-err-value-walking-trace.patch
Patch48:        perf-intel-pt-Fix-missing-instruction-events-with-q-option.patch
Patch49:        perf-intel-pt-Fix-error-timestamp-setting-on-the-decoder-error-path.patch
Patch50:        perf-inject-Fix-segfault-due-to-close-without-open.patch
Patch51:        perf-inject-Fix-segfault-due-to-perf_data__fd-without-open.patch
Patch52:        perf-intel-pt-Fix-parsing-of-VM-time-correlation-arguments.patch
Patch53:        perf-script-Fix-CPU-filtering-of-a-script-s-switch-events.patch
Patch54:        perf-scripts-python-intel-pt-events.py-Fix-printing-of-switch-events.patch
Patch55:        perf-evlist-Allow-setting-arbitrary-leader.patch
Patch56:        perf-parse-events-Architecture-specific-leader-override.patch
Patch57:        perf-stat-Support-cputype-option-for-hybrid-events.patch
Patch58:        perf-vendor-events-arm64-Fix-JSON-indentation-to-4-spaces-standard.patch
Patch59:        perf-vendor-events-For-the-Arm-Neoverse-N2.patch
Patch60:        perf-vendor-events-Rename-arm64-arch-std-event-files.patch
Patch61:        tools-headers-UAPI-Add-new-macros-for-mem_hops-field-to-perf_event.h.patch
Patch62:        perf-script-Fix-hex-dump-character-output.patch
Patch63:        perf-evsel-Improve-error-message-for-uncore-events.patch
Patch64:        perf-probe-Fix-ppc64-perf-probe-add-events-failed-case.patch
Patch65:        perf-evsel-Override-attr-sample_period-for-non-libpfm4-events.patch
Patch66:        perf-stat-Fix-display-of-grouped-aliased-events.patch
Patch67:        perf-bpf-Defer-freeing-string-after-possible-strlen-on-it.patch
Patch68:        perf-data-Fix-double-free-in-perf_session__delete.patch
Patch69:        perf-symbols-Fix-symbol-size-calculation-condition.patch
Patch70:        perf-parse-events-Ignore-case-in-topdown.slots-check.patch
Patch71:        perf-vendor-events-Update-metrics-for-SkyLake-Server-3bad20d7.patch
Patch72:        perf-vendor-events-Update-metrics-for-Broadwell-DE.patch
Patch73:        perf-vendor-events-Update-metrics-for-CascadelakeX.patch
Patch74:        perf-vendor-events-Update-metrics-for-HaswellX.patch
Patch75:        perf-vendor-events-Update-metrics-for-Ivybridge.patch
Patch76:        perf-vendor-events-Update-for-Westmere-EP-DP.patch
Patch77:        perf-vendor-events-Update-metrics-for-IcelakeX.patch
Patch78:        perf-vendor-events-Update-for-Bonnell.patch
Patch79:        perf-vendor-events-Update-metrics-for-Broadwell.patch
Patch80:        perf-vendor-events-Update-metrics-for-BroadwellX.patch
Patch81:        perf-vendor-events-Update-for-Goldmont.patch
Patch82:        perf-vendor-events-Update-for-GoldmontPlus.patch
Patch83:        perf-vendor-events-Update-metrics-for-Haswell.patch
Patch84:        perf-vendor-events-Update-metrics-for-Icelake.patch
Patch85:        perf-vendor-events-Update-metrics-for-Ivytown.patch
Patch86:        perf-vendor-events-Update-metrics-for-Jaketown.patch
Patch87:        perf-vendor-events-Update-Knights-Landing.patch
Patch88:        perf-vendor-events-Update-Nehalem-EP.patch
Patch89:        perf-vendor-events-Update-metrics-for-Skylake.patch
Patch90:        perf-vendor-events-Update-Sandybridge.patch
Patch91:        perf-vendor-events-Update-Silvermont.patch
Patch92:        perf-vendor-events-Update-Tigerlake.patch
Patch93:        perf-vendor-events-Update-Westmere-EP-SP.patch
Patch94:        perf-vendor-events-Update-Westmere-EX.patch
Patch95:        perf-vendor-events-Update-TremontX.patch
Patch96:        perf-jevents-Add-support-for-HiSilicon-CPA-PMU-aliasing.patch
Patch97:        perf-vendor-events-intel-Add-core-event-list-for-Alderlake.patch
Patch98:        perf-vendor-events-intel-Add-uncore-event-list-for-Alderlake.patch
Patch99:        perf-vendor-events-intel-Update-events-for-CascadelakeX.patch
Patch100:        perf-vendor-events-intel-Update-events-for-Elkhartlake.patch
Patch101:        perf-vendor-events-intel-Update-events-for-Icelake.patch
Patch102:        perf-vendor-events-intel-Update-events-for-IcelakeX.patch
Patch103:        perf-vendor-events-intel-Update-events-for-Skylake.patch
Patch104:        perf-vendor-events-intel-Update-events-for-SkylakeX.patch
Patch105:        perf-vendor-events-intel-Update-events-for-Tigerlake.patch
Patch106:        perf-vendor-events-intel-Update-events-for-TremontX.patch
Patch107:        perf-parse-events-Move-slots-only-with-topdown.patch
Patch108:        perf-evsel-Make-evsel__env-always-return-a-valid-env.patch
Patch109:        perf-stat-Fix-forked-applications-enablement-of-counters.patch
Patch110:        perf-python-Add-perf_env-stubs-that-will-be-needed-in-evsel__open_strerror.patch
Patch111:        perf-evsel-Improve-AMD-IBS-Instruction-Based-Sampling-error-handling-messages.patch
Patch112:        perf-arm-spe-Fix-perf-report-mem-mode.patch
Patch113:        perf-tools-Fix-perf-s-libperf_print-callback.patch
Patch114:        perf-bench-Fix-futex-bench-to-correct-usage-of-affinity-for-machines-with-CPUs-1K.patch
Patch115:        perf-bench-Fix-epoll-bench-to-correct-usage-of-affinity-for-machines-with-CPUs-1K.patch
Patch116:        perf-session-Remap-buf-if-there-is-no-space-for-event.patch
Patch117:        perf-tools-Fix-misleading-add-event-PMU-debug-message.patch
Patch118:        perf-bench-Fix-numa-testcase-to-check-if-CPU-used-to-bind-task-is-online.patch
Patch119:        perf-bench-Fix-numa-bench-to-fix-usage-of-affinity-for-machines-with-CPUs-1K.patch
Patch120:        perf-script-Always-allow-field-data_src-for-auxtrace.patch
Patch121:        perf-report-Set-PERF_SAMPLE_DATA_SRC-bit-for-Arm-SPE-event.patch
Patch122:        perf-arm-spe-Fix-addresses-of-synthesized-SPE-events.patch
Patch123:        perf-bench-Fix-two-numa-NDEBUG-warnings.patch
Patch124:        perf-vendor-events-intel-Fix-icelake-cstate-metrics.patch
Patch125:        perf-vendor-events-intel-Fix-icelakex-cstate-metrics.patch
Patch126:        perf-vendor-events-intel-Add-sapphirerapids-events.patch
Patch127:        perf-vendor-events-intel-Update-CLX-uncore-to-v1.14.patch
Patch128:        perf-vendor-events-intel-Update-SKX-uncore.patch
Patch129:        perf-vendor-events-intel-Update-nehalemep-event-topics.patch
Patch130:        perf-vendor-events-intel-Update-tigerlake-topic.patch
Patch131:        perf-vendor-events-intel-Update-tremontx-uncore-and-topics.patch
Patch132:        perf-vendor-events-intel-Update-westmereep-dp-event-topics.patch
Patch133:        perf-vendor-events-intel-Update-westmereep-sp-event-topics.patch
Patch134:        perf-vendor-events-intel-Update-westmereex-event-topics.patch
Patch135:        perf-vendor-events-intel-Update-elkhartlake-event-topics.patch
Patch136:        perf-vendor-events-intel-Update-goldmontplus-event-topics.patch
Patch137:        perf-vendor-events-intel-Update-goldmont-event-topics.patch
Patch138:        perf-vendor-events-intel-Add-metrics-for-Alderlake.patch
Patch139:        perf-stat-Support-hybrid-topdown-option.patch
Patch140:        perf-vendor-events-intel-Update-ICL-events-to-v1.13.patch
Patch141:        perf-vendor-events-intel-Update-IVT-events-to-v21.patch
Patch142:        perf-vendor-events-intel-Update-SKL-events-to-v53.patch
Patch143:        perf-vendor-events-intel-Update-SKX-events-to-v1.27.patch
Patch144:        perf-vendor-events-intel-Update-WSM-EP-SP-events-to-v3.patch
Patch145:        perf-vendor-events-intel-Update-WSM-EX-events-to-v3.patch
Patch146:        perf-vendor-events-intel-Update-core-event-list-for-Sapphirerapids.patch
Patch147:        perf-vendor-events-intel-Add-uncore-event-list-for-Sapphirerapids.patch
Patch148:        perf-vendor-events-intel-Update-CLX-events-to-v1.15.patch
Patch149:        perf-evlist-Keep-topdown-counters-in-weak-group.patch
Patch150:        perf-test-Add-basic-stat-and-topdown-group-test.patch
Patch151:        perf-evsel-Fixes-topdown-events-in-a-weak-group-for-the-hybrid-platform.patch
Patch152:        perf-stat-Always-keep-perf-metrics-topdown-events-in-a-group.patch
Patch153:        perf-parse-events-Support-different-format-of-the-topdown-event-name.patch
Patch154:        perf-parse-events-Move-slots-event-for-the-hybrid-platform-too.patch
Patch155:        perf-vendor-events-Fix-Alderlake-metric-groups.patch
Patch156:        perf-vendor-events-Fix-Ivytown-UNC_M_ACT_COUNT.RD-umask.patch
Patch157:        perf-header-Add-ability-to-keep-feature-sections.patch
Patch158:        libperf-Add-preadn.patch
Patch159:        perf-inject-Keep-some-features-sections-from-input-file.patch
Patch160:        perf-vendors-events-arm64-Arm-Cortex-A34.patch
Patch161:        perf-vendors-events-arm64-Arm-Cortex-A35.patch
Patch162:        perf-vendors-events-arm64-Arm-Cortex-A55.patch
Patch163:        perf-vendors-events-arm64-Arm-Cortex-A510.patch
Patch164:        perf-vendors-events-arm64-Arm-Cortex-A65.patch
Patch165:        perf-vendors-events-arm64-Arm-Cortex-A73.patch
Patch166:        perf-vendors-events-arm64-Arm-Cortex-A75.patch
Patch167:        perf-vendors-events-arm64-Arm-Cortex-A77.patch
Patch168:        perf-vendors-events-arm64-Arm-Cortex-A78.patch
Patch169:        perf-vendors-events-arm64-Arm-Cortex-A710.patch
Patch170:        perf-vendors-events-arm64-Arm-Cortex-X1.patch
Patch171:        perf-vendors-events-arm64-Arm-Cortex-X2.patch
Patch172:        perf-vendors-events-arm64-Arm-Neoverse-E1.patch
Patch173:        perf-vendors-events-arm64-Update-Cortex-A57-A72.patch
Patch174:        perf-evlist-Extend-arch_evsel__must_be_in_group-to-support-hybrid-systems.patch
Patch175:        perf-record-Support-sample-read-topdown-metric-group-for-hybrid-platforms.patch
Patch176:        perf-list-Add-IBM-z16-event-description-for-s390.patch
Patch177:        perf-list-Update-event-description-for-IBM-z10-to-latest-level.patch
Patch178:        perf-list-Update-event-description-for-IBM-z13-to-latest-level.patch
Patch179:        perf-list-Update-event-description-for-IBM-z14-to-latest-level.patch
Patch180:        perf-list-Update-event-description-for-IBM-z15-to-latest-level.patch
Patch181:        perf-list-Update-event-description-for-IBM-z196-z114-to-latest-level.patch
Patch182:        perf-list-Update-event-description-for-IBM-zEC12-zBC12-to-latest-level.patch
Patch183:        perf-vendor-events-intel-Add-metrics-for-Sapphirerapids.patch
Patch184:        perf-vendor-events-intel-Update-metrics-for-Alderlake.patch
Patch185:        perf-record-ibs-Warn-about-sampling-period-skew.patch
Patch186:        perf-pmu-Parse-pmu-caps-sysfs-only-once.patch
Patch187:        perf-header-Pass-cpu-pmu-name-while-printing-caps.patch
Patch188:        perf-header-Store-PMU-caps-in-an-array-of-strings.patch
Patch189:        perf-header-Record-non-CPU-PMU-capabilities.patch
Patch190:        perf-tool-ibs-Sync-AMD-IBS-header-file.patch
Patch191:        perf-script-ibs-Support-new-IBS-bits-in-raw-trace-dump.patch
Patch192:        perf-vendor-events-intel-Update-event-list-for-Alderlake.patch
Patch193:        perf-vendor-events-intel-Update-event-list-for-Sapphirerapids.patch
Patch194:        perf-vendor-events-intel-Rename-tremontx-to-snowridgex.patch
Patch195:        perf-vendor-events-intel-Update-event-list-for-Snowridgex.patch
Patch196:        perf-vendor-events-intel-Update-event-list-for-broadwellx.patch
Patch197:        perf-vendor-events-intel-Update-event-list-for-haswellx.patch
Patch198:        perf-vendor-events-Update-Intel-broadwellx-4266081e.patch
Patch199:        perf-vendor-events-Update-Intel-broadwell-1775634e.patch
Patch200:        perf-vendor-events-Update-Intel-broadwellde-ef908a19.patch
Patch201:        perf-vendor-events-Update-Intel-alderlake-a95ab294.patch
Patch202:        perf-vendor-events-Update-bonnell-mapfile.csv.patch
Patch203:        perf-vendor-events-Update-Intel-cascadelakex-f9d45862.patch
Patch204:        perf-vendor-events-Update-Intel-elkhartlake.patch
Patch205:        perf-vendor-events-Update-goldmont-mapfile.csv.patch
Patch206:        perf-vendor-events-Update-goldmontplus-mapfile.csv.patch
Patch207:        perf-vendor-events-Update-Intel-haswell-8e6389f9.patch
Patch208:        perf-vendor-events-Update-Intel-haswellx-859fe0f4.patch
Patch209:        perf-vendor-events-Update-Intel-icelake-a4a4353e.patch
Patch210:        perf-vendor-events-Update-Intel-icelakex-d214d0c2.patch
Patch211:        perf-vendor-events-Update-Intel-ivybridge-80c14459.patch
Patch212:        perf-vendor-events-Update-Intel-ivytown-62201368.patch
Patch213:        perf-vendor-events-Update-Intel-jaketown-376d8b58.patch
Patch214:        perf-vendor-events-Update-Intel-knightslanding.patch
Patch215:        perf-vendor-events-Add-Intel-meteorlake.patch
Patch216:        perf-vendor-events-Update-Intel-nehalemep.patch
Patch217:        perf-vendor-events-Update-Intel-nehalemex.patch
Patch218:        perf-vendor-events-Update-Intel-sandybridge-777e1312.patch
Patch219:        perf-vendor-events-Update-Intel-sapphirerapids-34122105.patch
Patch220:        perf-vendor-events-Update-Intel-silvermont.patch
Patch221:        perf-vendor-events-Update-Intel-skylake-35d65277.patch
Patch222:        perf-vendor-events-Update-Intel-skylakex-59fd7d32.patch
Patch223:        perf-vendor-events-Update-Intel-tigerlake-5e1dd4f2.patch
Patch224:        perf-vendor-events-Update-Intel-westmereep-dp.patch
Patch225:        perf-vendor-events-Update-Intel-westmereep-sp.patch
Patch226:        perf-vendor-events-Update-Intel-westmereex.patch
Patch227:        perf-vendor-events-Update-Intel-snowridgex.patch
Patch228:        perf-vendor-events-arm64-Arm-Cortex-A78C-and-X1C.patch
Patch229:        perf-evlist-Always-use-arch_evlist__add_default_attrs.patch
Patch230:        perf-x86-evlist-Add-default-hybrid-events-for-perf-stat.patch
Patch231:        perf-stat-Add-topdown-metrics-in-the-default-perf-stat-on-the-hybrid-machine.patch
Patch232:        tools-build-Add-feature-test-for-init_disassemble_info-API-changes.patch
Patch233:        tools-build-Don-t-display-disassembler-four-args-feature-test.patch
Patch234:        tools-include-add-dis-asm-compat.h-to-handle-version-differences.patch
Patch235:        tools-perf-Fix-compilation-error-with-new-binutils.patch
Patch236:        tools-build-Retry-detection-of-bfd-related-features.patch
Patch237:        perf-vendor-events-Remove-bad-broadwellde-uncore-events.patch
Patch238:        perf-vendor-events-Remove-bad-ivytown-uncore-events.patch
Patch239:        perf-vendor-events-Remove-bad-jaketown-uncore-events.patch
Patch240:        perf-list-Add-PMU-pai_crypto-event-description-for-IBM-z16.patch
Patch241:        perf-vendor-events-Update-metrics-for-broadwellde.patch
Patch242:        perf-vendor-events-Update-events-and-metrics-for-broadwellx.patch
Patch243:        perf-vendor-events-Update-events-and-metrics-for-cascadelakex.patch
Patch244:        perf-vendor-events-Update-events-and-metrics-for-haswellx.patch
Patch245:        perf-vendor-events-Update-events-and-metrics-for-icelakex.patch
Patch246:        perf-vendor-events-Update-metrics-for-ivytown.patch
Patch247:        perf-vendor-events-Update-metrics-for-jaketown.patch
Patch248:        perf-vendor-events-Update-events-for-knightslanding.patch
Patch249:        perf-vendor-events-Update-metrics-for-sapphirerapids.patch
Patch250:        perf-vendor-events-Update-events-and-metrics-for-skylakex.patch
Patch251:        perf-vendor-events-Update-events-for-snowridgex.patch
Patch252:        perf-vendor-events-Add-missing-Neoverse-V1-events.patch
Patch253:        perf-vendor-events-arm64-Move-REMOTE_ACCESS-to-memory-category.patch
Patch254:        perf-vendor-events-Update-events-for-Neoverse-E1.patch
Patch255:        perf-vendor-events-Update-Intel-skylakex-313b2f38.patch
Patch256:        perf-vendor-events-Update-Intel-alderlake-a80de066.patch
Patch257:        perf-vendor-events-Update-Intel-broadwell-eb4f8d77.patch
Patch258:        perf-vendor-events-Update-Intel-broadwellx-5bc4e39e.patch
Patch259:        perf-vendor-events-Update-Intel-cascadelakex-55b201a8.patch
Patch260:        perf-vendor-events-Update-elkhartlake-cpuids.patch
Patch261:        perf-vendor-events-Update-Intel-haswell-dd7aae2c.patch
Patch262:        perf-vendor-events-Update-Intel-haswellx-08ce57dd.patch
Patch263:        perf-vendor-events-Update-Intel-icelake-8fb4ddf4.patch
Patch264:        perf-vendor-events-Update-Intel-icelakex-bd035250.patch
Patch265:        perf-vendor-events-Update-Intel-ivybridge-3bd2d211.patch
Patch266:        perf-vendor-events-Update-Intel-ivytown-d2aaf040.patch
Patch267:        perf-vendor-events-Update-Intel-jaketown-3405de19.patch
Patch268:        perf-vendor-events-Update-Intel-sandybridge-db35c1dc.patch
Patch269:        perf-vendor-events-Update-Intel-sapphirerapids-9a1b4aa4.patch
Patch270:        perf-vendor-events-Update-silvermont-cpuids.patch
Patch271:        perf-vendor-events-Update-Intel-skylake-aac53e8f.patch
Patch272:        perf-vendor-events-Update-Intel-tigerlake-a7c1aaa6.patch
Patch273:        perf-vendor-events-Update-Intel-broadwellde-d7184d94.patch
Patch274:        perf-vendor-events-power10-Fix-hv-24x7-metric-events.patch
Patch275:        perf-list-Fix-PMU-name-pai_crypto-in-perf-list-on-s390.patch
Patch276:        perf-vendor-events-arm64-Fix-incorrect-Hisi-hip08-L3-metrics.patch
Patch277:        perf-arch-events-riscv-sbi-firmware-std-event-files.patch
Patch278:        perf-vendor-events-riscv-add-Sifive-U74-JSON-file.patch
Patch279:        perf-vendor-events-Add-Arm-Neoverse-V2-PMU-events.patch
Patch280:        perf-vendor-events-intel-Add-core-event-list-for-Alderlake-N.patch
Patch281:        perf-vendor-events-intel-Add-uncore-event-list-for-Alderlake-N.patch
Patch282:        perf-vendor-events-intel-Add-metrics-for-Alderlake-N.patch
Patch283:        perf-vendor-events-intel-Update-events-and-metrics-for-alderlake.patch
Patch284:        perf-vendor-events-intel-Refresh-alderlake-metrics.patch
Patch285:        perf-vendor-events-intel-Refresh-alderlake-n-metrics.patch
Patch286:        perf-vendor-events-intel-Refresh-bonnell-events.patch
Patch287:        perf-vendor-events-intel-Refresh-broadwell-metrics-and-events.patch
Patch288:        perf-vendor-events-intel-Refresh-broadwellde-metrics-and-events.patch
Patch289:        perf-vendor-events-intel-Refresh-broadwellx-metrics-and-events.patch
Patch290:        perf-vendor-events-intel-Refresh-cascadelakex-metrics-and-events.patch
Patch291:        perf-vendor-events-intel-Refresh-elkhartlake-events.patch
Patch292:        perf-vendor-events-intel-Refresh-goldmont-events.patch
Patch293:        perf-vendor-events-intel-Refresh-goldmontplus-events.patch
Patch294:        perf-vendor-events-intel-Refresh-haswell-metrics-and-events.patch
Patch295:        perf-vendor-events-intel-Refresh-haswellx-metrics-and-events.patch
Patch296:        perf-vendor-events-intel-Refresh-icelake-metrics-and-events.patch
Patch297:        perf-vendor-events-intel-Refresh-icelakex-metrics-and-events.patch
Patch298:        perf-vendor-events-intel-Refresh-ivybridge-metrics-and-events.patch
Patch299:        perf-vendor-events-intel-Refresh-ivytown-metrics-and-events.patch
Patch300:        perf-vendor-events-intel-Refresh-jaketown-metrics-and-events.patch
Patch301:        perf-vendor-events-intel-Refresh-knightslanding-events.patch
Patch302:        perf-vendor-events-intel-Refresh-meteorlake-events.patch
Patch303:        perf-vendor-events-intel-Refresh-nehalemep-events.patch
Patch304:        perf-vendor-events-intel-Refresh-nehalemex-events.patch
Patch305:        perf-vendor-events-intel-Refresh-sandybridge-metrics-and-events.patch
Patch306:        perf-vendor-events-intel-Refresh-sapphirerapids-metrics-and-events.patch
Patch307:        perf-vendor-events-intel-Refresh-silvermont-events.patch
Patch308:        perf-vendor-events-intel-Refresh-skylake-metrics-and-events.patch
Patch309:        perf-vendor-events-intel-Refresh-skylakex-metrics-and-events.patch
Patch310:        perf-vendor-events-intel-Refresh-snowridgex-events.patch
Patch311:        perf-vendor-events-intel-Refresh-tigerlake-metrics-and-events.patch
Patch312:        perf-vendor-events-intel-Refresh-westmereep-dp-events.patch
Patch313:        perf-vendor-events-intel-Refresh-westmereep-sp-events.patch
Patch314:        perf-vendor-events-intel-Refresh-westmereex-events.patch
Patch315:        perf-vendor-events-amd-Add-Zen-4-core-events.patch
Patch316:        perf-vendor-events-amd-Add-Zen-4-uncore-events.patch
Patch317:        perf-vendor-events-amd-Add-Zen-4-metrics.patch
Patch318:        perf-vendor-events-amd-Add-Zen-4-mapping.patch
# non upstream patches
Patch1000:       perf-local-use-sframe-for-bfd.patch
Patch1001:       perf-local-check-alloc-histogram-return.patch

Requires:       kernel >= 2.6.31
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package provides a userspace tool 'perf', which monitors performance for
either unmodified binaries or the entire system. It requires a Linux kernel
which includes the Performance Counters for Linux (PCL) subsystem (>= 2.6.31).
This subsystem utilizes the Performance Monitoring Unit (PMU) / hardware
counters of the underlying cpu architecture (if supported).

%package devel
Summary:        Development headers for perf
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}

%description devel
Development headers for perf. 

%prep
# copy necessary files from kernel-source since we need to modify them
(cd /usr/src/linux ; tar -cf - COPYING CREDITS README tools include scripts Kbuild Makefile arch/*/{include,lib,Makefile} lib) | tar -xf - 
chmod +x tools/perf/util/generate-cmdlist.sh

%autopatch -p1

# don't error out on deprecated definitions in gtk2.h
sed -i 's@ignored "-Wstrict-prototypes"@&\n#pragma GCC diagnostic ignored "-Wdeprecated-declarations"@' tools/build/feature/test-gtk2.c

%build
cd tools/perf
export WERROR=0
# PASS rpm optflags as EXTRA_FLAGS,  passing as CFLAGS overrides and breaks build
make %{?_smp_mflags} -f Makefile.perf feature-libbfd-liberty=1 feature-disassembler-four-args=1 V=1 VF=1 GTK2=1 CORESIGHT=1 PYTHON=python3 EXTRA_CFLAGS="%{optflags}" ASCIIDOC8=1 prefix=/usr libdir=%{_libdir} perfexecdir=lib/%{name}-core %{_perf_unwind} tipdir=share/doc/packages/perf all
make %{?_smp_mflags} -f Makefile.perf V=1 VF=1 GTK2=1 CORESIGHT=1 PYTHON=python3 EXTRA_CFLAGS="%{optflags}" ASCIIDOC8=1 prefix=/usr libdir=%{_libdir} perfexecdir=lib/%{name}-core %{_perf_unwind} tipdir=share/doc/packages/perf doc

%install
cd tools/perf
export WERROR=0
make -f Makefile.perf GTK2=1 CORESIGHT=1 PYTHON=python3 EXTRA_CFLAGS="%{optflags}" prefix=/usr libdir=%{_libdir} perfexecdir=lib/%{name}-core DESTDIR=%{buildroot} %{_perf_unwind} tipdir=share/doc/packages/perf install
make -f Makefile.perf GTK2=1 CORESIGHT=1 PYTHON=python3 EXTRA_CFLAGS="%{optflags}" prefix=/usr libdir=%{_libdir} perfexecdir=lib/%{name}-core DESTDIR=%{buildroot} install %{_perf_unwind} tipdir=share/doc/packages/perf install-doc
mkdir -p %{buildroot}/%{_docdir}/perf/examples/bpf
mv %{buildroot}/usr/lib/perf/examples/bpf/* %{buildroot}/%{_docdir}/perf/examples/bpf

%fdupes %{buildroot}/%{_prefix}/lib/%{name}-core

%files
%defattr(-, root, root)
%attr(0644, root, root) %doc COPYING CREDITS README tools/perf/design.txt
%attr(0644, root, root) %doc %{_docdir}/perf/tips.txt
%{_bindir}/perf
%{_bindir}/trace
%{_libdir}/libperf-gtk.so
%ifnarch armv7l
%dir %{_libdir}/traceevent
%dir %{_libdir}/traceevent/plugins
%{_libdir}/traceevent/plugins/plugin_*.so
%endif
%attr(0644, -, -) %{_sysconfdir}/bash_completion.d/perf
%{_libexecdir}/%{name}-core
%{_datarootdir}/%{name}-core
%{_mandir}/man1/perf*
%dir /usr/lib/perf

%files devel
%dir %{_includedir}/perf/
%attr(0644, root, root) %{_includedir}/perf/*.h
%dir /usr/lib/perf/include
%dir /usr/lib/perf/include/bpf
%attr(0644, root, root) /usr/lib/perf/include/bpf/*.h
%dir /usr/lib/perf/include/bpf/linux
%attr(0644, root, root) /usr/lib/perf/include/bpf/linux/*.h
%dir %{_docdir}/perf/examples
%dir %{_docdir}/perf/examples/bpf
%attr(0644, root, root) %{_docdir}/perf/examples/bpf/*

%changelog
* Mon Aug 19 2024 tonyj@suse.com
- Check the success of annotated_source__alloc_histograms() so that if a
  memory failure occured the sample can be ignored (bsc#1227962)
  New patch: perf-local-check-alloc-histogram-return.patch
* Tue May 21 2024 tonyj@suse.com
- Fix build error caused by linkage changes from latest binutils maint update
  New patch: perf-local-use-sframe-for-bfd.patch
  New patch: tools-build-Drop-needless-slang-include-path-in-test-all.patch
  New patch: tools-build-Retry-detection-of-bfd-related-features.patch
* Mon Jan 30 2023 tonyj@suse.com
- Fix build breakage.  Patch was inadvertently checked into kernel-source
  after being present in userspace (from SP4 Genoa backport).  Drop it.
  Delete patch: perf-report-Add-tools-arch-x86-include-asm-amd-ibs.h.patch
* Thu Jan 19 2023 tonyj@suse.com
- Add topdown support for hybrid PMUs (Alder Lake etc) -- jsc#PED-1069, jsc#PED-810
  New patch: perf-evlist-Allow-setting-arbitrary-leader.patch
  New patch: perf-evlist-Always-use-arch_evlist__add_default_attrs.patch
  New patch: perf-evsel-Fixes-topdown-events-in-a-weak-group-for-the-hybrid-platform.patch
  New patch: perf-parse-events-Architecture-specific-leader-override.patch
  New patch: perf-parse-events-Ignore-case-in-topdown.slots-check.patch
  New patch: perf-parse-events-Move-slots-event-for-the-hybrid-platform-too.patch
  New patch: perf-parse-events-Move-slots-only-with-topdown.patch
  New patch: perf-parse-events-Support-different-format-of-the-topdown-event-name.patch
  New patch: perf-record-Support-sample-read-topdown-metric-group-for-hybrid-platforms.patch
  New patch: perf-stat-Add-topdown-metrics-in-the-default-perf-stat-on-the-hybrid-machine.patch
  New patch: perf-stat-Always-keep-perf-metrics-topdown-events-in-a-group.patch
  New patch: perf-stat-Support-cputype-option-for-hybrid-events.patch
  New patch: perf-stat-Support-hybrid-topdown-option.patch
  New patch: perf-test-Add-basic-stat-and-topdown-group-test.patch
  New patch: perf-x86-evlist-Add-default-hybrid-events-for-perf-stat.patch
  Refresh patch: perf-record-ibs-Warn-about-sampling-period-skew.patch
* Wed Jan 11 2023 tonyj@suse.com
- Power10 perf counter enhancements (jsc#PED-557)
  New patch: perf-bench-Fix-epoll-bench-to-correct-usage-of-affinity-for-machines-with-CPUs-1K.patch
  New patch: perf-bench-Fix-futex-bench-to-correct-usage-of-affinity-for-machines-with-CPUs-1K.patch
  New patch: perf-bench-Fix-two-numa-NDEBUG-warnings.patch
  New patch: perf-bench-futex-Group-test-parameters-cleanup.patch
  New patch: perf-evsel-Add-bitfield_swap-to-handle-branch_stack-endian-issue.patch
  New patch: perf-powerpc-Add-support-to-expose-instruction-and-data-address-registers-as-part-of-extended-regs.patch
  New patch: perf-test-sample-parsing-Add-endian-test-for-struct-branch_flags.patch
  New patch: perf-test-sample-parsing-Fix-branch_stack-entry-endianness-check.patch
  New patch: tools-headers-UAPI-Add-new-macros-for-mem_hops-field-to-perf_event.h.patch
  New patch: tools-perf-Add-mem_hops-field-in-perf_mem_data_src-structure.patch
  Refresh patch: perf-evlist-Keep-topdown-counters-in-weak-group.patch
* Tue Jan 10 2023 tonyj@suse.com
- Initial checkin for SLE15-SP5
  Update all JSON event description files.
  Satisfies jsc#PED-617, jsc#PED-811, jsc#PED-814, jsc#PED-816, jsc#PED=819,
  jsc#PED-821, jsc#PED-854 and jsc#PED-1059.
  New patch: perf-arch-events-riscv-sbi-firmware-std-event-files.patch
  New patch: perf-jevents-Add-support-for-HiSilicon-CPA-PMU-aliasing.patch
  New patch: perf-list-Add-IBM-z16-event-description-for-s390.patch
  New patch: perf-list-Add-PMU-pai_crypto-event-description-for-IBM-z16.patch
  New patch: perf-list-Fix-PMU-name-pai_crypto-in-perf-list-on-s390.patch
  New patch: perf-list-Update-event-description-for-IBM-z10-to-latest-level.patch
  New patch: perf-list-Update-event-description-for-IBM-z13-to-latest-level.patch
  New patch: perf-list-Update-event-description-for-IBM-z14-to-latest-level.patch
  New patch: perf-list-Update-event-description-for-IBM-z15-to-latest-level.patch
  New patch: perf-list-Update-event-description-for-IBM-z196-z114-to-latest-level.patch
  New patch: perf-list-Update-event-description-for-IBM-zEC12-zBC12-to-latest-level.patch
  New patch: perf-vendor-events-Add-Arm-Neoverse-V2-PMU-events.patch
  New patch: perf-vendor-events-Add-Intel-meteorlake.patch
  New patch: perf-vendor-events-Add-metrics-for-Icelake-Server.patch
  New patch: perf-vendor-events-Add-metrics-for-Tigerlake.patch
  New patch: perf-vendor-events-Add-missing-Neoverse-V1-events.patch
  New patch: perf-vendor-events-Fix-Alderlake-metric-groups.patch
  New patch: perf-vendor-events-Fix-Ivytown-UNC_M_ACT_COUNT.RD-umask.patch
  New patch: perf-vendor-events-Fix-all-remaining-invalid-JSON-files.patch
  New patch: perf-vendor-events-For-the-Arm-Neoverse-N2.patch
  New patch: perf-vendor-events-Remove-bad-broadwellde-uncore-events.patch
  New patch: perf-vendor-events-Remove-bad-ivytown-uncore-events.patch
  New patch: perf-vendor-events-Remove-bad-jaketown-uncore-events.patch
  New patch: perf-vendor-events-Rename-arm64-arch-std-event-files.patch
  New patch: perf-vendor-events-Syntax-corrections-in-Neoverse-N1-json.patch
  New patch: perf-vendor-events-Update-Intel-alderlake-a80de066.patch
  New patch: perf-vendor-events-Update-Intel-alderlake-a95ab294.patch
  New patch: perf-vendor-events-Update-Intel-broadwell-1775634e.patch
  New patch: perf-vendor-events-Update-Intel-broadwell-eb4f8d77.patch
  New patch: perf-vendor-events-Update-Intel-broadwellde-d7184d94.patch
  New patch: perf-vendor-events-Update-Intel-broadwellde-ef908a19.patch
  New patch: perf-vendor-events-Update-Intel-broadwellx-4266081e.patch
  New patch: perf-vendor-events-Update-Intel-broadwellx-5bc4e39e.patch
  New patch: perf-vendor-events-Update-Intel-cascadelakex-55b201a8.patch
  New patch: perf-vendor-events-Update-Intel-cascadelakex-f9d45862.patch
  New patch: perf-vendor-events-Update-Intel-elkhartlake.patch
  New patch: perf-vendor-events-Update-Intel-haswell-8e6389f9.patch
  New patch: perf-vendor-events-Update-Intel-haswell-dd7aae2c.patch
  New patch: perf-vendor-events-Update-Intel-haswellx-08ce57dd.patch
  New patch: perf-vendor-events-Update-Intel-haswellx-859fe0f4.patch
  New patch: perf-vendor-events-Update-Intel-icelake-8fb4ddf4.patch
  New patch: perf-vendor-events-Update-Intel-icelake-a4a4353e.patch
  New patch: perf-vendor-events-Update-Intel-icelakex-bd035250.patch
  New patch: perf-vendor-events-Update-Intel-icelakex-d214d0c2.patch
  New patch: perf-vendor-events-Update-Intel-ivybridge-3bd2d211.patch
  New patch: perf-vendor-events-Update-Intel-ivybridge-80c14459.patch
  New patch: perf-vendor-events-Update-Intel-ivytown-62201368.patch
  New patch: perf-vendor-events-Update-Intel-ivytown-d2aaf040.patch
  New patch: perf-vendor-events-Update-Intel-jaketown-3405de19.patch
  New patch: perf-vendor-events-Update-Intel-jaketown-376d8b58.patch
  New patch: perf-vendor-events-Update-Intel-knightslanding.patch
  New patch: perf-vendor-events-Update-Intel-nehalemep.patch
  New patch: perf-vendor-events-Update-Intel-nehalemex.patch
  New patch: perf-vendor-events-Update-Intel-sandybridge-777e1312.patch
  New patch: perf-vendor-events-Update-Intel-sandybridge-db35c1dc.patch
  New patch: perf-vendor-events-Update-Intel-sapphirerapids-34122105.patch
  New patch: perf-vendor-events-Update-Intel-sapphirerapids-9a1b4aa4.patch
  New patch: perf-vendor-events-Update-Intel-silvermont.patch
  New patch: perf-vendor-events-Update-Intel-skylake-35d65277.patch
  New patch: perf-vendor-events-Update-Intel-skylake-aac53e8f.patch
  New patch: perf-vendor-events-Update-Intel-skylakex-313b2f38.patch
  New patch: perf-vendor-events-Update-Intel-skylakex-59fd7d32.patch
  New patch: perf-vendor-events-Update-Intel-snowridgex.patch
  New patch: perf-vendor-events-Update-Intel-tigerlake-5e1dd4f2.patch
  New patch: perf-vendor-events-Update-Intel-tigerlake-a7c1aaa6.patch
  New patch: perf-vendor-events-Update-Intel-westmereep-dp.patch
  New patch: perf-vendor-events-Update-Intel-westmereep-sp.patch
  New patch: perf-vendor-events-Update-Intel-westmereex.patch
  New patch: perf-vendor-events-Update-Knights-Landing.patch
  New patch: perf-vendor-events-Update-Nehalem-EP.patch
  New patch: perf-vendor-events-Update-Sandybridge.patch
  New patch: perf-vendor-events-Update-Silvermont.patch
  New patch: perf-vendor-events-Update-Tigerlake.patch
  New patch: perf-vendor-events-Update-TremontX.patch
  New patch: perf-vendor-events-Update-Westmere-EP-SP.patch
  New patch: perf-vendor-events-Update-Westmere-EX.patch
  New patch: perf-vendor-events-Update-bonnell-mapfile.csv.patch
  New patch: perf-vendor-events-Update-elkhartlake-cpuids.patch
  New patch: perf-vendor-events-Update-events-and-metrics-for-broadwellx.patch
  New patch: perf-vendor-events-Update-events-and-metrics-for-cascadelakex.patch
  New patch: perf-vendor-events-Update-events-and-metrics-for-haswellx.patch
  New patch: perf-vendor-events-Update-events-and-metrics-for-icelakex.patch
  New patch: perf-vendor-events-Update-events-and-metrics-for-skylakex.patch
  New patch: perf-vendor-events-Update-events-for-Neoverse-E1.patch
  New patch: perf-vendor-events-Update-events-for-knightslanding.patch
  New patch: perf-vendor-events-Update-events-for-snowridgex.patch
  New patch: perf-vendor-events-Update-for-Bonnell.patch
  New patch: perf-vendor-events-Update-for-Goldmont.patch
  New patch: perf-vendor-events-Update-for-GoldmontPlus.patch
  New patch: perf-vendor-events-Update-for-Westmere-EP-DP.patch
  New patch: perf-vendor-events-Update-goldmont-mapfile.csv.patch
  New patch: perf-vendor-events-Update-goldmontplus-mapfile.csv.patch
  New patch: perf-vendor-events-Update-metrics-for-Broadwell-DE.patch
  New patch: perf-vendor-events-Update-metrics-for-Broadwell.patch
  New patch: perf-vendor-events-Update-metrics-for-BroadwellX.patch
  New patch: perf-vendor-events-Update-metrics-for-CascadeLake-Server.patch
  New patch: perf-vendor-events-Update-metrics-for-CascadelakeX.patch
  New patch: perf-vendor-events-Update-metrics-for-Haswell.patch
  New patch: perf-vendor-events-Update-metrics-for-HaswellX.patch
  New patch: perf-vendor-events-Update-metrics-for-Icelake.patch
  New patch: perf-vendor-events-Update-metrics-for-IcelakeX.patch
  New patch: perf-vendor-events-Update-metrics-for-Ivybridge.patch
  New patch: perf-vendor-events-Update-metrics-for-Ivytown.patch
  New patch: perf-vendor-events-Update-metrics-for-Jaketown.patch
  New patch: perf-vendor-events-Update-metrics-for-SkyLake-Server-3bad20d7.patch
  New patch: perf-vendor-events-Update-metrics-for-SkyLake-Server-c4ad8fab.patch
  New patch: perf-vendor-events-Update-metrics-for-Skylake.patch
  New patch: perf-vendor-events-Update-metrics-for-broadwellde.patch
  New patch: perf-vendor-events-Update-metrics-for-ivytown.patch
  New patch: perf-vendor-events-Update-metrics-for-jaketown.patch
  New patch: perf-vendor-events-Update-metrics-for-sapphirerapids.patch
  New patch: perf-vendor-events-Update-silvermont-cpuids.patch
  New patch: perf-vendor-events-amd-Add-Zen-4-core-events.patch
  New patch: perf-vendor-events-amd-Add-Zen-4-mapping.patch
  New patch: perf-vendor-events-amd-Add-Zen-4-metrics.patch
  New patch: perf-vendor-events-amd-Add-Zen-4-uncore-events.patch
  New patch: perf-vendor-events-arm64-Add-new-armv8-pmu-events.patch
  New patch: perf-vendor-events-arm64-Arm-Cortex-A78C-and-X1C.patch
  New patch: perf-vendor-events-arm64-Categorise-the-Neoverse-V1-counters.patch
  New patch: perf-vendor-events-arm64-Fix-JSON-indentation-to-4-spaces-standard.patch
  New patch: perf-vendor-events-arm64-Fix-incorrect-Hisi-hip08-L3-metrics.patch
  New patch: perf-vendor-events-arm64-Move-REMOTE_ACCESS-to-memory-category.patch
  New patch: perf-vendor-events-arm64-Revise-hip08-uncore-events.patch
  New patch: perf-vendor-events-intel-Add-basic-metrics-for-Elkhartlake.patch
  New patch: perf-vendor-events-intel-Add-core-event-list-for-Alderlake-N.patch
  New patch: perf-vendor-events-intel-Add-core-event-list-for-Alderlake.patch
  New patch: perf-vendor-events-intel-Add-core-event-list-for-Elkhartlake.patch
  New patch: perf-vendor-events-intel-Add-core-event-list-for-Tigerlake.patch
  New patch: perf-vendor-events-intel-Add-metrics-for-Alderlake-N.patch
  New patch: perf-vendor-events-intel-Add-metrics-for-Alderlake.patch
  New patch: perf-vendor-events-intel-Add-metrics-for-Sapphirerapids.patch
  New patch: perf-vendor-events-intel-Add-sapphirerapids-events.patch
  New patch: perf-vendor-events-intel-Add-uncore-event-list-for-Alderlake-N.patch
  New patch: perf-vendor-events-intel-Add-uncore-event-list-for-Alderlake.patch
  New patch: perf-vendor-events-intel-Add-uncore-event-list-for-Sapphirerapids.patch
  New patch: perf-vendor-events-intel-Fix-icelake-cstate-metrics.patch
  New patch: perf-vendor-events-intel-Fix-icelakex-cstate-metrics.patch
  New patch: perf-vendor-events-intel-Refresh-alderlake-metrics.patch
  New patch: perf-vendor-events-intel-Refresh-alderlake-n-metrics.patch
  New patch: perf-vendor-events-intel-Refresh-bonnell-events.patch
  New patch: perf-vendor-events-intel-Refresh-broadwell-metrics-and-events.patch
  New patch: perf-vendor-events-intel-Refresh-broadwellde-metrics-and-events.patch
  New patch: perf-vendor-events-intel-Refresh-broadwellx-metrics-and-events.patch
  New patch: perf-vendor-events-intel-Refresh-cascadelakex-metrics-and-events.patch
  New patch: perf-vendor-events-intel-Refresh-elkhartlake-events.patch
  New patch: perf-vendor-events-intel-Refresh-goldmont-events.patch
  New patch: perf-vendor-events-intel-Refresh-goldmontplus-events.patch
  New patch: perf-vendor-events-intel-Refresh-haswell-metrics-and-events.patch
  New patch: perf-vendor-events-intel-Refresh-haswellx-metrics-and-events.patch
  New patch: perf-vendor-events-intel-Refresh-icelake-metrics-and-events.patch
  New patch: perf-vendor-events-intel-Refresh-icelakex-metrics-and-events.patch
  New patch: perf-vendor-events-intel-Refresh-ivybridge-metrics-and-events.patch
  New patch: perf-vendor-events-intel-Refresh-ivytown-metrics-and-events.patch
  New patch: perf-vendor-events-intel-Refresh-jaketown-metrics-and-events.patch
  New patch: perf-vendor-events-intel-Refresh-knightslanding-events.patch
  New patch: perf-vendor-events-intel-Refresh-meteorlake-events.patch
  New patch: perf-vendor-events-intel-Refresh-nehalemep-events.patch
  New patch: perf-vendor-events-intel-Refresh-nehalemex-events.patch
  New patch: perf-vendor-events-intel-Refresh-sandybridge-metrics-and-events.patch
  New patch: perf-vendor-events-intel-Refresh-sapphirerapids-metrics-and-events.patch
  New patch: perf-vendor-events-intel-Refresh-silvermont-events.patch
  New patch: perf-vendor-events-intel-Refresh-skylake-metrics-and-events.patch
  New patch: perf-vendor-events-intel-Refresh-skylakex-metrics-and-events.patch
  New patch: perf-vendor-events-intel-Refresh-snowridgex-events.patch
  New patch: perf-vendor-events-intel-Refresh-tigerlake-metrics-and-events.patch
  New patch: perf-vendor-events-intel-Refresh-westmereep-dp-events.patch
  New patch: perf-vendor-events-intel-Refresh-westmereep-sp-events.patch
  New patch: perf-vendor-events-intel-Refresh-westmereex-events.patch
  New patch: perf-vendor-events-intel-Rename-tremontx-to-snowridgex.patch
  New patch: perf-vendor-events-intel-Update-CLX-events-to-v1.15.patch
  New patch: perf-vendor-events-intel-Update-CLX-uncore-to-v1.14.patch
  New patch: perf-vendor-events-intel-Update-ICL-events-to-v1.13.patch
  New patch: perf-vendor-events-intel-Update-IVT-events-to-v21.patch
  New patch: perf-vendor-events-intel-Update-SKL-events-to-v53.patch
  New patch: perf-vendor-events-intel-Update-SKX-events-to-v1.27.patch
  New patch: perf-vendor-events-intel-Update-SKX-uncore.patch
  New patch: perf-vendor-events-intel-Update-WSM-EP-SP-events-to-v3.patch
  New patch: perf-vendor-events-intel-Update-WSM-EX-events-to-v3.patch
  New patch: perf-vendor-events-intel-Update-core-event-list-for-CascadeLake-Server.patch
  New patch: perf-vendor-events-intel-Update-core-event-list-for-Sapphirerapids.patch
  New patch: perf-vendor-events-intel-Update-core-event-list-for-SkyLake-Server.patch
  New patch: perf-vendor-events-intel-Update-elkhartlake-event-topics.patch
  New patch: perf-vendor-events-intel-Update-event-list-for-Alderlake.patch
  New patch: perf-vendor-events-intel-Update-event-list-for-Sapphirerapids.patch
  New patch: perf-vendor-events-intel-Update-event-list-for-Snowridgex.patch
  New patch: perf-vendor-events-intel-Update-event-list-for-broadwellx.patch
  New patch: perf-vendor-events-intel-Update-event-list-for-haswellx.patch
  New patch: perf-vendor-events-intel-Update-events-and-metrics-for-alderlake.patch
  New patch: perf-vendor-events-intel-Update-events-for-CascadelakeX.patch
  New patch: perf-vendor-events-intel-Update-events-for-Elkhartlake.patch
  New patch: perf-vendor-events-intel-Update-events-for-Icelake.patch
  New patch: perf-vendor-events-intel-Update-events-for-IcelakeX.patch
  New patch: perf-vendor-events-intel-Update-events-for-Skylake.patch
  New patch: perf-vendor-events-intel-Update-events-for-SkylakeX.patch
  New patch: perf-vendor-events-intel-Update-events-for-Tigerlake.patch
  New patch: perf-vendor-events-intel-Update-events-for-TremontX.patch
  New patch: perf-vendor-events-intel-Update-goldmont-event-topics.patch
  New patch: perf-vendor-events-intel-Update-goldmontplus-event-topics.patch
  New patch: perf-vendor-events-intel-Update-metrics-for-Alderlake.patch
  New patch: perf-vendor-events-intel-Update-nehalemep-event-topics.patch
  New patch: perf-vendor-events-intel-Update-tigerlake-topic.patch
  New patch: perf-vendor-events-intel-Update-tremontx-uncore-and-topics.patch
  New patch: perf-vendor-events-intel-Update-uncore-event-list-for-CascadeLake-Server.patch
  New patch: perf-vendor-events-intel-Update-uncore-event-list-for-SkyLake-Server.patch
  New patch: perf-vendor-events-intel-Update-westmereep-dp-event-topics.patch
  New patch: perf-vendor-events-intel-Update-westmereep-sp-event-topics.patch
  New patch: perf-vendor-events-intel-Update-westmereex-event-topics.patch
  New patch: perf-vendor-events-power10-Add-metric-events-JSON-file-for-power10-platform.patch
  New patch: perf-vendor-events-power10-Fix-hv-24x7-metric-events.patch
  New patch: perf-vendor-events-powerpc-Fix-spelling-mistake-icach-icache.patch
  New patch: perf-vendor-events-riscv-add-Sifive-U74-JSON-file.patch
  New patch: perf-vendors-events-arm64-Arm-Cortex-A34.patch
  New patch: perf-vendors-events-arm64-Arm-Cortex-A35.patch
  New patch: perf-vendors-events-arm64-Arm-Cortex-A510.patch
  New patch: perf-vendors-events-arm64-Arm-Cortex-A55.patch
  New patch: perf-vendors-events-arm64-Arm-Cortex-A65.patch
  New patch: perf-vendors-events-arm64-Arm-Cortex-A710.patch
  New patch: perf-vendors-events-arm64-Arm-Cortex-A73.patch
  New patch: perf-vendors-events-arm64-Arm-Cortex-A75.patch
  New patch: perf-vendors-events-arm64-Arm-Cortex-A77.patch
  New patch: perf-vendors-events-arm64-Arm-Cortex-A78.patch
  New patch: perf-vendors-events-arm64-Arm-Cortex-X1.patch
  New patch: perf-vendors-events-arm64-Arm-Cortex-X2.patch
  New patch: perf-vendors-events-arm64-Arm-Neoverse-E1.patch
  New patch: perf-vendors-events-arm64-Update-Cortex-A57-A72.patch
* Wed Dec 28 2022 tonyj@suse.com
- Fix build issues relating to binutils update.
  New patch: tools-perf-Fix-compilation-error-with-new-binutils.patch
- Incorporate additional feature detection changes to support above:
  New patch: perf-tools-Add-an-option-to-build-without-libbfd.patch
  New patch: tools-build-Add-feature-test-for-init_disassemble_info-API-changes.patch
  New patch: tools-build-Don-t-display-disassembler-four-args-feature-test.patch
  New patch: tools-include-add-dis-asm-compat.h-to-handle-version-differences.patch
- Core feature detection code in tools/build/feature (kernel-source) appears
  broken. In order to make forward progress here force feature-libbfd-liberty-z
  and feature-disassembler-four-args to on (as done in openSUSE.925264)
* Fri Nov 11 2022 tonyj@suse.com
- Add AMD Genoa support (jsc#SLE-24578)
  New patch: libperf-Add-preadn.patch
  New patch: perf-env-Add-perf_env__cpuid-perf_env__-nr_-pmu_mappings.patch
  New patch: perf-env-Track-kernel-64-bit-mode-in-environment.patch
  New patch: perf-evlist-Extend-arch_evsel__must_be_in_group-to-support-hybrid-systems.patch
  New patch: perf-evlist-Keep-topdown-counters-in-weak-group.patch
  New patch: perf-evsel-don-t-set-exclude_guest-by-default.patch
  New patch: perf-evsel-Improve-AMD-IBS-Instruction-Based-Sampling-error-handling-messages.patch
  New patch: perf-evsel-Improve-error-message-for-uncore-events.patch
  New patch: perf-evsel-Make-evsel__env-always-return-a-valid-env.patch
  New patch: perf-header-Add-ability-to-keep-feature-sections.patch
  New patch: perf-header-Pass-cpu-pmu-name-while-printing-caps.patch
  New patch: perf-header-Record-non-CPU-PMU-capabilities.patch
  New patch: perf-header-Store-PMU-caps-in-an-array-of-strings.patch
  New patch: perf-inject-Fix-output-from-a-file-to-a-pipe.patch
  New patch: perf-inject-Fix-output-from-a-pipe-to-a-file.patch
  New patch: perf-inject-Fix-segfault-due-to-perf_data__fd-without-open.patch
  New patch: perf-inject-Keep-some-features-sections-from-input-file.patch
  New patch: perf-pmu-Parse-pmu-caps-sysfs-only-once.patch
  New patch: perf-python-Add-perf_env-stubs-that-will-be-needed-in-evsel__open_strerror.patch
  New patch: perf-record-ibs-Warn-about-sampling-period-skew.patch
  New patch: perf-report-Add-support-to-print-a-textual-representation-of-IBS-raw-sample-data.patch
  New patch: perf-report-Add-tools-arch-x86-include-asm-amd-ibs.h.patch
  New patch: perf-script-ibs-Support-new-IBS-bits-in-raw-trace-dump.patch
  New patch: perf-tool-ibs-Sync-AMD-IBS-header-file.patch
  New patch: perf-tools-Pass-a-fd-to-perf_file_header__read_pipe.patch
  New patch: perf-tools-Remove-repipe-argument-from-perf_session__new.patch
* Wed Oct  5 2022 tonyj@suse.com
- Patches for previous change were not correctly applied in perf.spec
  (bsc#1198595)
* Tue May 10 2022 tonyj@suse.com
- Fix perf bench numa assertion failure (bsc#1198595)
  New patch: perf-bench-Fix-numa-bench-to-fix-usage-of-affinity-for-machines-with-CPUs-1K.patch
  New patch: perf-bench-Fix-numa-testcase-to-check-if-CPU-used-to-bind-task-is-online.patch
* Tue May 10 2022 tonyj@suse.com
- Apply latest git-fixes reported against kernel-source:
  ARM-SPE
  - ------
  Correct missing virtual addresses in SPE samples
  New patch: perf-arm-spe-Fix-addresses-of-synthesized-SPE-events.patch
  Correct bug in perf mem report/perf report --mem-mode which was preventing
  opening of data files
  New patch: perf-arm-spe-Fix-perf-report-mem-mode.patch
  Correct bug in perf mem report/perf report --mem-mode which was preventing
  reporting of data if the PERF_SAMPLE_DATA_SRC bit was missing
  New patch: perf-report-Set-PERF_SAMPLE_DATA_SRC-bit-for-Arm-SPE-event.patch
  Always allow data_src option for SPE aux data
  New patch: perf-script-Always-allow-field-data_src-for-auxtrace.patch
  BPF
  - --
  Correct gcc possible-use-after-free warning
  New patch: perf-bpf-Defer-freeing-string-after-possible-strlen-on-it.patch
  SESSION
  - ------
  Correct double free in perf_session__delete
  New patch: perf-data-Fix-double-free-in-perf_session__delete.patch
  Remap memory rather than failing if insufficient memory to hold event
  New patch: perf-session-Remap-buf-if-there-is-no-space-for-event.patch
  STAT
  - ---
  Correctly display events that have multiple uncore aliases rather than
  marking as merged.
  New patch: perf-stat-Fix-display-of-grouped-aliased-events.patch
  Enable counter events before forking child process
  New patch: perf-stat-Fix-forked-applications-enablement-of-counters.patch
  MISC
  - ---
  Correct error message regarding non-fatal error
  New patch: perf-tools-Fix-misleading-add-event-PMU-debug-message.patch
  Fix incorrect use of eprintf in callback
  New patch: perf-tools-Fix-perf-s-libperf_print-callback.patch
  Fix incorrect symbol size calculation
  New patch: perf-symbols-Fix-symbol-size-calculation-condition.patch
* Sat Jan 29 2022 tonyj@suse.com
- Apply latest git-fixes reported against kernel-source:
  - Build: Fix build error when bpf_skel with clang-10
    New patch: perf-bpf_skel-Do-not-use-typedef-to-avoid-error-on-old-clang.patch
    New patch: perf-bpf-Fix-building-perf-with-BUILD_BPF_SKEL-1-by-default-in-more-distros.patch (dependent patch)
  - Build: Remove needless libpython-version feature chec
    New patch: tools-build-Remove-needless-libpython-version-feature-check-that-breaks-test-all-fast-path.patch
  - Evsel: Fix regression causing sample periods to be ignored on ARM
    New patch: perf-evsel-Override-attr-sample_period-for-non-libpfm4-events.patch
  - Inject: Fix crash due to attempting to close inject.output when not opened
    New patch: perf-inject-Fix-segfault-due-to-close-without-open.patch
  - Intel PT: Correctly update timestamp on error path
    New patch: perf-intel-pt-Fix-error-timestamp-setting-on-the-decoder-error-path.patch
  - Intel PT: do not universally override state type on FUP event
    New patch: perf-intel-pt-Fix-intel_pt_fup_event-assumptions-about-setting-state-type.patch
  - Intel PT: consider FUP packets to be an 'instruction'
    New patch: perf-intel-pt-Fix-missing-instruction-events-with-q-option.patch
  - Intel PT: ensure error path is 0 in intel_pt_walk_trace()
    New patch: perf-intel-pt-Fix-next-err-value-walking-trace.patch
  - Intel PT: Fix parsing of VM time correlation arguments
    New patch: perf-intel-pt-Fix-parsing-of-VM-time-correlation-arguments.patch
  - Intel PT: Fix some PGE (packet generation enable/control flow packets) usage
    New patch: perf-intel-pt-Fix-some-PGE-packet-generation-enable-control-flow-packets-usage.patch
  - Intel PT: Fix synchronization state on overflow and handle subsequent FUP
    New patch: perf-intel-pt-Fix-state-setting-when-receiving-overflow-OVF-packet.patch
    New patch: perf-intel-pt-Fix-sync-state-when-a-PSB-synchronization-packet-is-found.patch
  - Probe: skip function symbols when adding probe point on POWER
    New patch: perf-probe-Fix-ppc64-perf-probe-add-events-failed-case.patch
  - Script: Apply CPU filtering was to a script's switch events.
    New patch: perf-script-Fix-CPU-filtering-of-a-script-s-switch-events.patch
  - Script: Fix hex dump character output due to non-printable characters
    New patch: perf-script-Fix-hex-dump-character-output.patch
  - Scripts: Correctly display last switch event in intel-pt-events.py
    New patch: perf-scripts-python-intel-pt-events.py-Fix-printing-of-switch-events.patch
  - Tools: Fix SMT detection fast read path
    New patch: perf-tools-Fix-SMT-detection-fast-read-path.patch
* Mon Dec  6 2021 tonyj@suse.com
- Apply latest git-fixes reported against kernel-source:
- ASan reports memory leaks while running:
  New patch: perf-bench-Fix-two-memory-leaks-detected-with-ASan.patch
- Resolve memory leak in BPF when attempting to insert duplicate id's
  New patch: perf-bpf-Avoid-memory-leak-from-perf_env__insert_btf.patch
- Resolve failure to execute zstd test on !s390 systems
  New patch: perf-tests-Remove-bash-construct-from-record-zstd_comp_decomp.sh.patch
* Fri Nov  5 2021 tonyj@suse.com
- Incorporate latest git-fixes
  New patch: perf-tests-attr-Add-missing-topdown-metrics-events.patch
* Tue Nov  2 2021 tonyj@suse.com
- Create devel package based on Factory commit:
  "Mon Jul 26 07:05:21 UTC 2021 - Jiri Slaby <jslaby@suse.cz>"
  Since we now have a -devel package, move bpf includes to there also.
* Tue Oct 26 2021 tonyj@suse.com
- Update to v5.14 perf (from SLE-15-SP4:GA kernel-source - jsc#SLE-17360)
  Please refer to the kernel-* changelog for more information about changes
  included in this release.
  Delete patches (contained in v5.14):
    libperf-add-build-version-support.patch
    libperf-add-debug-output-support.patch
    libperf-add-libperf-to-the-python-so-build.patch
    libperf-add-nr_entries-to-struct-perf_evlist.patch
    libperf-add-perf-core-h-header.patch
    libperf-add-perf_cpu_map-struct.patch
    libperf-add-perf_cpu_map__dummy_new-function.patch
    libperf-add-perf_cpu_map__get-perf_cpu_map__put.patch
    libperf-add-perf_evlist-and-perf_evsel-structs.patch
    libperf-add-perf_evlist__add-function.patch
    libperf-add-perf_evlist__init-function.patch
    libperf-add-perf_evlist__remove-function.patch
    libperf-add-perf_evsel__init-function.patch
    libperf-add-perf_thread_map-struct.patch
    libperf-add-perf_thread_map__get-perf_thread_map__put.patch
    libperf-add-perf_thread_map__new_dummy-function.patch
    libperf-include-perf_evlist-in-evlist-object.patch
    libperf-include-perf_evsel-in-evsel-object.patch
    libperf-make-libperf-a-part-of-the-perf-build.patch
    perf-arm-spe-support-synthetic-events.patch
    perf-augmented_raw_syscalls-add-handler-for-openat.patch
    perf-augmented_raw_syscalls-augment-sockaddr-arg-in-connect.patch
    perf-augmented_raw_syscalls-rename-augmented_args_filename-to-augmented_args_payload.patch
    perf-augmented_raw_syscalls-support-copying-two-string-syscall-args.patch
    perf-augmented_raw_syscalls-switch-to-using-bpf_map_type_prog_array.patch
    perf-auxtrace-add-an-option-to-synthesize-callchains-for-regular-events.patch
    perf-auxtrace-add-four-itrace-options.patch
    perf-auxtrace-add-option-to-synthesize-branch-stack-for-regular-events.patch
    perf-bench-futex-wake-restore-thread-count-default-to-online-cpu-count.patch
    perf-bench-numa-fix-cpumask-memory-leak-in-node_has_cpus.patch
    perf-bench-numa-use-numa_node_to_cpus-to-bind-tasks-to-nodes.patch
    perf-block-cleanup-and-refactor-block-info-functions.patch
    perf-bpf-do-not-attach-a-bpf-prog-to-a-tracepoint-if-its-name-starts-with.patch
    perf-bpf-loader-add-missing-for-key_scan_pos.patch
    perf-c2c-add-option-to-enable-the-lbr-stitching-approach.patch
    perf-c2c-display-proper-cpu-count-in-nodes-column.patch
    perf-c2c-fix-report-with-offline-cpus.patch
    perf-cacheline-move-cacheline-related-routines-to-separate-files.patch
    perf-callchain-fix-segfault-in-thread__resolve_callchain_sample.patch
    perf-callchain-save-previous-cursor-nodes-for-lbr-stitching-approach.patch
    perf-callchain-stitch-lbr-call-stack.patch
    perf-callchain-use-struct-map_symbol-in-struct-callchain_cursor_node.patch
    perf-cpu_map-rename-struct-cpu_map-to-struct-perf_cpu_map.patch
    perf-cpumap-fix-snprintf-overflow-check.patch
    perf-cs-etm-move-definition-of-traceid_list-global-variable-from-header-file.patch
    perf-debug-remove-needless-include-directives-from-debug-h.patch
    perf-diff-don-t-use-hack-to-skip-column-length-calculation.patch
    perf-diff-report-noisy-for-cycles-diff.patch
    perf-diff-support-hot-streams-comparison.patch
    perf-diff-use-llabs-with-64-bit-values.patch
    perf-env-do-not-return-pointers-to-local-variables.patch
    perf-env-remove-needless-cpumap-h-header-partial.patch
    perf-events-parser-add-missing-intel-cpu-events-to-parser.patch
    perf-evlist-rename-perf_evlist__add-to-evlist__add.patch
    perf-evlist-rename-perf_evlist__close-to-evlist__close.patch
    perf-evlist-rename-perf_evlist__delete-to-evlist__delete.patch
    perf-evlist-rename-perf_evlist__disable-to-evlist__disable.patch
    perf-evlist-rename-perf_evlist__enable-to-evlist__enable.patch
    perf-evlist-rename-perf_evlist__init-to-evlist__init.patch
    perf-evlist-rename-perf_evlist__new-to-evlist__new.patch
    perf-evlist-rename-perf_evlist__open-to-evlist__open.patch
    perf-evlist-rename-perf_evlist__remove-to-evlist__remove.patch
    perf-evlist-rename-struct-perf_evlist-to-struct-evlist.patch
    perf-evsel-remove-need-for-symbol_conf-in-evsel_fprintf-c.patch
    perf-evsel-rename-perf_evsel__apply_filter-to-evsel__apply_filter.patch
    perf-evsel-rename-perf_evsel__cpus-to-evsel__cpus.patch
    perf-evsel-rename-perf_evsel__delete-to-evsel__delete.patch
    perf-evsel-rename-perf_evsel__disable-to-evsel__disable.patch
    perf-evsel-rename-perf_evsel__enable-to-evsel__enable.patch
    perf-evsel-rename-perf_evsel__init-to-evsel__init.patch
    perf-evsel-rename-perf_evsel__new-to-evsel__new.patch
    perf-evsel-rename-perf_evsel__open-to-evsel__open.patch
    perf-evsel-rename-struct-perf_evsel-to-struct-evsel.patch
    perf-evsel-store-backpointer-to-attached-bpf_object.patch
    perf-expr-add-expr-c-object.patch
    perf-expr-add-expr_-prefix-for-parse_ctx-and-parse_id.patch
    perf-expr-add-expr_scanner_ctx-object.patch
    perf-expr-fix-copy-paste-mistake.patch
    perf-expr-increase-expr_max_other-to-support-metrics-with-more-than-15-variables.patch
    perf-expr-make-expr__parse-return-1-on-error.patch
    perf-expr-move-expr-lexer-to-flex.patch
    perf-expr-straighten-expr__parse-expr__find_other-interface.patch
    perf-header-support-cpu-pmu-capabilities.patch
    perf-hist-add-fast-path-for-duplicate-entries-check.patch
    perf-hist-count-the-total-cycles-of-all-samples.patch
    perf-hist-support-block-formats-with-compare-sort-display.patch
    perf-hists-browser-restore-esc-as-zoom-out-of-dso-thread-etc.patch
    perf-hists-fix-variable-name-s-inconsistency-in-hists__for_each-macro.patch
    perf-include-bpf-add-bpf_tail_call-prototype.patch
    perf-intel-pt-add-brief-documentation-for-pebs-via-intel-pt.patch
    perf-intel-pt-fix-pebs-sample-for-xmm-registers.patch
    perf-intel-pt-process-options-for-pebs-event-synthesis.patch
    perf-jevents-fix-resource-leak-in-process_mapfile-and-main.patch
    perf-jevents-support-metric-constraint.patch
    perf-kvm-s390-add-missing-string-h-header.patch
    perf-list-allow-plurals-for-metric-metricgroup.patch
    perf-list-hide-deprecated-events-by-default.patch
    perf-machine-factor-out-lbr_callchain_add_kernel_ip.patch
    perf-machine-factor-out-lbr_callchain_add_lbr_ip.patch
    perf-machine-refine-the-function-for-lbr-call-stack-reconstruction.patch
    perf-machine-remove-the-indent-in-resolve_lbr_callchain_sample.patch
    perf-make-perf-able-to-build-with-latest-libbfd.patch
    perf-map-fix-off-by-one-in-strncpy-size-argument.patch
    perf-map-no-need-to-adjust-the-long-name-of-modules.patch
    perf-map_groups-pass-the-object-to-map_groups__find_ams.patch
    perf-metricgroup-factor-out-metricgroup__add_metric_weak_group.patch
    perf-metricgroup-fix-printing-event-names-of-metric-group-with-multiple-events-incase-of-overlapping-events.patch
    perf-metricgroup-fix-printing-event-names-of-metric-group-with-multiple-events.patch
    perf-metricgroup-remove-needless-includes-from-metricgroup-h.patch
    perf-metricgroup-scale-the-metric-result.patch
    perf-metricgroup-support-metric-constraint.patch
    perf-metricgroup-support-multiple-events-for-metricgroup.patch
    perf-metricgroups-enhance-json-metric-infrastructure-to-handle.patch
    perf-metrics-fix-parse-errors-in-power8-metrics.patch
    perf-metrics-fix-parse-errors-in-power9-metrics.patch
    perf-metrics-fix-parse-errors-in-skylake-metrics.patch
    perf-metrictroup-split-the-metricgroup__add_metric-function.patch
    perf-parse-events-fix-an-incompatible-pointer.patch
    perf-pmu-add-support-for-pmu-capabilities.patch
    perf-pmu-change-convert_scale-from-static-to-global.patch
    perf-probe-check-address-correctness-by-map-instead-of-etext.patch
    perf-probe-do-not-show-the-skipped-events.patch
    perf-probe-filter-out-instances-except-for-inlined-subroutine-and-subprogram.patch
    perf-probe-fix-to-check-blacklist-address-correctly.patch
    perf-probe-fix-to-find-range-only-function-instance.patch
    perf-probe-fix-to-list-probe-event-with-correct-line-number.patch
    perf-probe-fix-to-probe-a-function-which-has-no-entry-pc.patch
    perf-probe-fix-to-probe-an-inline-function-which-has-no-entry-pc.patch
    perf-probe-fix-to-show-calling-lines-of-inlined-functions.patch
    perf-probe-fix-to-show-function-entry-line-as-probe-able.patch
    perf-probe-fix-to-show-inlined-function-callsite-without-entry_pc.patch
    perf-probe-fix-to-show-ranges-of-variables-in-functions-without-entry_pc.patch
    perf-probe-fix-wrong-address-verification.patch
    perf-probe-skip-end-of-sequence-and-non-statement-lines.patch
    perf-probe-skip-overlapped-location-on-searching-variables.patch
    perf-probe-walk-function-lines-in-lexical-blocks.patch
    perf-record-fix-binding-of-aio-user-space-buffers-to-nodes.patch
    perf-regs-make-perf_reg_name-return-unknown-instead-of-null.patch
    perf-report-add-option-to-enable-the-lbr-stitching-approach.patch
    perf-report-allow-specifying-event-to-be-used-as-sort-key-in-group-output.patch
    perf-report-dump-lbr-callstack-data-by-d-jointly-with-thread-stack.patch
    perf-report-fix-incorrectly-added-dimensions-as-switch-perf-data-file.patch
    perf-report-fix-no-branch-type-statistics-report-issue.patch
    perf-report-fix-null-pointer-dereference-in-hists__fprintf_nr_sample_events.patch
    perf-report-jump-to-symbol-source-view-from-total-cycles-view.patch
    perf-report-sort-by-sampled-cycles-percent-per-block-for-stdio.patch
    perf-report-sort-by-sampled-cycles-percent-per-block-for-tui.patch
    perf-report-support-a-new-key-to-reload-the-browser.patch
    perf-report-support-interactive-annotation-of-code-without-symbols.patch
    perf-report-support-percent-limit-for-total-cycles.patch
    perf-report-top-do-not-offer-annotation-for-symbols-without-samples.patch
    perf-report-top-tui-support-hotkey-a-for-annotation-of-unresolved-addresses.patch
    perf-report-tui-fix-segmentation-fault-in-perf_evsel__hists_browse.patch
    perf-script-add-option-to-enable-the-lbr-stitching-approach.patch
    perf-script-allow-time-with-reltime.patch
    perf-script-fix-brstackinsn-for-auxtrace.patch
    perf-script-introduce-deltatime-option.patch
    perf-scripts-python-export-to-postgresql-py-fix-struct-pack-int-argument.patch
    perf-scripts-python-exported-sql-viewer-py-fix-unexpanded-find-result.patch
    perf-scripts-python-exported-sql-viewer-py-fix-zero-id-in-call-graph-find-result.patch
    perf-scripts-python-exported-sql-viewer-py-fix-zero-id-in-call-tree-find-result.patch
    perf-sort-remove-needless-headers-from-sort-h-provide-fwd-struct-decls.patch
    perf-srcline-add-missing-srcline-h-header-to-files-needing-its-defs.patch
    perf-stat-align-the-output-for-interval-aggregation-mode.patch
    perf-stat-don-t-report-a-null-stalled-cycles-per-insn-metric.patch
    perf-stat-ensure-group-is-defined-on-top-of-the-same-cpu-mask.patch
    perf-stat-fix-duration_time-value-for-higher-intervals.patch
    perf-stat-fix-free-memory-access-memory-leaks-in-metrics.patch
    perf-stat-fix-null-pointer-dereference.patch
    perf-stat-fix-wrong-per-thread-runtime-stat-for-interval-mode.patch
    perf-stat-honour-timeout-for-forked-workloads.patch
    perf-stat-improve-runtime-stat-for-interval-mode.patch
    perf-stat-increase-perf-metric-output-resolution.patch
    perf-stat-move-loaded-out-of-struct-perf_counts_values.patch
    perf-stat-show-percore-counts-in-per-cpu-output.patch
    perf-stat-support-all-kernel-all-user.patch
    perf-stat-support-new-per-thread-topdown-metrics.patch
    perf-stat-zero-all-the-ena-and-run-array-slot-stats-for-interval-mode.patch
    perf-streams-calculate-the-sum-of-total-streams-hits.patch
    perf-streams-compare-two-streams.patch
    perf-streams-get-the-evsel_streams-by-evsel_idx.patch
    perf-streams-introduce-branch-history-streams.patch
    perf-streams-link-stream-pair.patch
    perf-streams-report-hot-streams.patch
    perf-test-report-failure-for-mmap-events.patch
    perf-test-session-topology-fix-data-path.patch
    perf-tests-expr-added-test-for-runtime-param-in-metric-expression.patch
    perf-tests-fix-out-of-bounds-memory-access.patch
    perf-tests-remove-needless-headers-for-bp_account.patch
    perf-thread-add-a-knob-for-lbr-stitch-approach.patch
    perf-thread-save-previous-sample-for-lbr-stitching-approach.patch
    perf-tools-add-aux-output-config-term.patch
    perf-tools-add-aux_output-attribute-flag.patch
    perf-tools-add-documentation-for-topdown-metrics.patch
    perf-tools-add-hw_idx-in-struct-branch_stack.patch
    perf-tools-add-itrace-option-o-to-synthesize-aux-output-events.patch
    perf-tools-add-map_groups-to-struct-addr_location.patch
    perf-tools-enable-hz-hz-prinitg-for-metric-only-option.patch
    perf-tools-fix-reading-new-topology-attribute-core_cpus.patch
    perf-tools-fix-record-failure-when-mixed-with-arm-spe-event.patch
    perf-tools-move-arm-spe-pkt-decoder-h-c-to-the-new-dir.patch
    perf-tools-powerpc-add-support-for-extended-register-capability.patch
    perf-tools-powerpc-add-support-for-extended-regs-in-power10.patch
    perf-tools-remove-debug-h-from-header-files-not-needing-it.patch
    perf-tools-remove-needless-evlist-h-include-directives-partial.patch
    perf-tools-remove-needless-thread-h-include-directives-partial.patch
    perf-tools-remove-util-h-from-where-it-is-not-needed.patch
    perf-tools-rename-struct-thread_map-to-struct-perf_thread_map.patch
    perf-tools-tools-include-should-come-before-tools-uapi-include.patch
    perf-tools-use-define-api-pure-full-instead-of-pure-parser.patch
    perf-top-set-display-thread-comm-to-help-with-debugging.patch
    perf-top-support-group-sort-idx-to-change-the-sort-order.patch
    perf-top-support-hotkey-to-change-sort-order.patch
    perf-trace-add-bpf-handler-for-unaugmented-syscalls.patch
    perf-trace-add-pointer-to-bpf-object-containing-_augmented_syscalls__.patch
    perf-trace-add-sendfile64-alias-to-the-sendfile-syscall.patch
    perf-trace-allow-specifying-the-bpf-prog-to-augment-specific-syscalls.patch
    perf-trace-beauty-add-bpf-augmenter-for-the-rename-syscall.patch
    perf-trace-beauty-beautify-bind-s-sockaddr-arg.patch
    perf-trace-beauty-beautify-sendto-s-sockaddr-arg.patch
    perf-trace-beauty-disable-fd-pathname-when-close-not-enabled.patch
    perf-trace-beauty-do-not-try-to-use-the-fd-pathname-beautifier-for-bind-connect-fd-arg.patch
    perf-trace-beauty-make-connect-s-addrlen-be-printed-as-an-int-not-hex.patch
    perf-trace-forward-error-codes-when-trying-to-read-syscall-info.patch
    perf-trace-handle-raw_syscalls-sys_enter-just-like-the-bpf_output-augmented-event.patch
    perf-trace-look-for-default-name-for-entries-in-the-syscalls-prog-array.patch
    perf-trace-look-up-maps-just-on-the-_augmented_syscalls__-bpf-object.patch
    perf-trace-mark-syscall-ids-that-are-not-allocated-to-avoid-unnecessary-error-messages.patch
    perf-trace-order-e-syscalls-table.patch
    perf-trace-preallocate-the-syscall-table.patch
    perf-trace-put-the-per-syscall-entry-exit-prog_array-bpf-map-infrastructure-in-place.patch
    perf-trace-reuse-bpf-augmenters-from-syscalls-with-similar-args-signature.patch
    perf-ui-gtk-add-missing-zalloc-object.patch
    perf-unwind-use-struct-map_symbol-in-struct-unwind_entry.patch
    perf-util-factor-out-sysctl__nmi_watchdog_enabled.patch
    perf-util-move-block-tui-function-to-ui-browsers.patch
    perf-vendor-events-amd-add-itlb-instruction-fetch-hits-event-for-zen1.patch
    perf-vendor-events-amd-add-l2-prefetch-events-for-zen1.patch
    perf-vendor-events-amd-add-l3-cache-events-for-family-17h.patch
    perf-vendor-events-amd-add-recommended-events.patch
    perf-vendor-events-amd-add-zen2-events.patch
    perf-vendor-events-amd-enable-family-19h-users-by-matching-zen2-events.patch
    perf-vendor-events-amd-remove-redundant.patch
    perf-vendor-events-amd-remove-trailing-commas.patch
    perf-vendor-events-amd-restrict-model-detection-for-zen1-based-processors.patch
    perf-vendor-events-amd-update-zen1-events-to-v2.patch
    perf-vendor-events-arm64-fix-hisi-hip08-ddrc-pmu-eventname.patch
    perf-vendor-events-intel-add-icelake-v1-00-event-file.patch
    perf-vendor-events-intel-add-no_nmi_watchdog-metric-constraint.patch
    perf-vendor-events-intel-add-tremontx-event-file-v1-02.patch
    perf-vendor-events-intel-update-all-the-intel-json-metrics-from-tmam-3-6.patch
    perf-vendor-events-intel-update-cascadelakex-events-to-v1-05.patch
    perf-vendor-events-power9-add-hv_24x7-socket-chip-level-metric-events.patch
    perf-vendor-events-power9-add-missing-metrics-to-power9-cpi_breakdown.patch
    perf-vendor-events-remove-p8-hw-events-which-are-not-supported.patch
    perf-vendor-events-s390-add-json-transaction-for-machine-type-8561.patch
    perf-vendor-events-s390-add-new-deflate-counters-for-ibm-z15.patch
    perf-vendor-events-s390-remove-name-from-l1d_ro_excl_writes-description.patch
    perf-vendor-events-s390-use-s390-machine-name-instead-of-type-8561.patch
    pref-tools-make-struct-addr_map_symbol-contain-struct-map_symbol.patch
    s390-cpum_cf-perf-change-dflt_ccerror-counter-name-partial.patch
* Fri Jan 22 2021 tonyj@suse.com
- Add NO_NMI_WATCHDOG metric constraint to Page_Walks_Utilization for Sky Lake
  and Cascade Lake (bsc#1174516)
  New patch: perf-vendor-events-intel-add-no_nmi_watchdog-metric-constraint.patch
* Thu Jan 14 2021 tonyj@suse.com
- Enable ARM CoreSight Trace Decode (jsc#SLE-13692)
  This change enables perf support for the OpenCSD library, which
  provides an API suitable for the decode of ARM CoreSight trace
  streams.
* Thu Dec 10 2020 tonyj@suse.com
- S390. Change DFLT_CCERROR counter name (bsc#1175918)
  New patch: s390-cpum_cf-perf-change-dflt_ccerror-counter-name-partial.patch
* Mon Dec  7 2020 tonyj@suse.com
- Fix PPC64LE numa SIGABORT (bsc#1179649)
  new patch: perf-bench-numa-fix-cpumask-memory-leak-in-node_has_cpus.patch
  new patch: perf-bench-numa-use-numa_node_to_cpus-to-bind-tasks-to-nodes.patch
* Mon Dec  7 2020 tonyj@suse.com
- Arm SPE support synthetic events in "perf report" (jsc#SLE-14769)
  new patch: perf-arm-spe-support-synthetic-events.patch
  new patch: perf-auxtrace-add-an-option-to-synthesize-callchains-for-regular-events.patch
  new patch: perf-auxtrace-add-four-itrace-options.patch
  new patch: perf-auxtrace-add-option-to-synthesize-branch-stack-for-regular-events.patch
  new patch: perf-env-remove-needless-cpumap-h-header-partial.patch
  new patch: perf-script-introduce-deltatime-option.patch
  new patch: perf-tools-move-arm-spe-pkt-decoder-h-c-to-the-new-dir.patch
  new patch: perf-tools-remove-needless-evlist-h-include-directives-partial.patch
  new patch: perf-tools-remove-needless-thread-h-include-directives-partial.patch
* Wed Dec  2 2020 tonyj@suse.com
- Add IceLake PMU support for TopDown to perf stat (jsc#SLE-13346)
  new patch: perf-stat-support-new-per-thread-topdown-metrics.patch
  new patch: perf-tools-add-documentation-for-topdown-metrics.patch
* Mon Nov 30 2020 tonyj@suse.com
- Support diffing of streams (branch record history) (jsc#SLE-13472)
  new patch: perf-diff-support-hot-streams-comparison.patch
  new patch: perf-streams-calculate-the-sum-of-total-streams-hits.patch
  new patch: perf-streams-compare-two-streams.patch
  new patch: perf-streams-get-the-evsel_streams-by-evsel_idx.patch
  new patch: perf-streams-introduce-branch-history-streams.patch
  new patch: perf-streams-link-stream-pair.patch
  new patch: perf-streams-report-hot-streams.patch
* Tue Nov 24 2020 tonyj@suse.com
- Resolve "Parse event definition strings" perf test failure (jsc#SLE-13604, bsc#1174282)
  new patch: perf-events-parser-add-missing-intel-cpu-events-to-parser.patch
* Thu Nov  5 2020 tonyj@suse.com
- Sum the event among logical-processors of same physical SMT core (jsc#SLE-12729)
  new patch: perf-stat-show-percore-counts-in-per-cpu-output.patch
  refresh patch: perf-stat-fix-null-pointer-dereference.patch
* Fri Oct 30 2020 tonyj@suse.com
- Add metrics support for POWER (jsc#SLE-13611)
  new patch: perf-stat-increase-perf-metric-output-resolution.patch
  new patch: perf-vendor-events-power9-add-missing-metrics-to-power9-cpi_breakdown.patch
* Fri Oct 30 2020 tonyj@suse.com
- POWER10 hardware counter support (jsc#SLE-13513)
  new patch: perf-tools-powerpc-add-support-for-extended-register-capability.patch
  new patch: perf-tools-powerpc-add-support-for-extended-regs-in-power10.patch
* Thu Oct 29 2020 tonyj@suse.com
- Supply TOS for LBRs in perf (jsc#SLE-12718)
  new patch: perf-c2c-add-option-to-enable-the-lbr-stitching-approach.patch
  new patch: perf-callchain-save-previous-cursor-nodes-for-lbr-stitching-approach.patch
  new patch: perf-callchain-stitch-lbr-call-stack.patch
  new patch: perf-callchain-use-struct-map_symbol-in-struct-callchain_cursor_node.patch
  new patch: perf-evsel-remove-need-for-symbol_conf-in-evsel_fprintf-c.patch
  new patch: perf-header-support-cpu-pmu-capabilities.patch
  new patch: perf-hist-add-fast-path-for-duplicate-entries-check.patch
  new patch: perf-machine-factor-out-lbr_callchain_add_kernel_ip.patch
  new patch: perf-machine-factor-out-lbr_callchain_add_lbr_ip.patch
  new patch: perf-machine-refine-the-function-for-lbr-call-stack-reconstruction.patch
  new patch: perf-machine-remove-the-indent-in-resolve_lbr_callchain_sample.patch
  new patch: perf-pmu-add-support-for-pmu-capabilities.patch
  new patch: perf-report-add-option-to-enable-the-lbr-stitching-approach.patch
  new patch: perf-report-dump-lbr-callstack-data-by-d-jointly-with-thread-stack.patch
  new patch: perf-script-add-option-to-enable-the-lbr-stitching-approach.patch
  new patch: perf-thread-add-a-knob-for-lbr-stitch-approach.patch
  new patch: perf-thread-save-previous-sample-for-lbr-stitching-approach.patch
  new patch: perf-tools-add-hw_idx-in-struct-branch_stack.patch
  new patch: perf-tools-add-map_groups-to-struct-addr_location.patch
  new patch: perf-unwind-use-struct-map_symbol-in-struct-unwind_entry.patch
- Support perf report sort key for total cycles per block (jsc#SLE-12720)
  new patch: perf-block-cleanup-and-refactor-block-info-functions.patch
  new patch: perf-cacheline-move-cacheline-related-routines-to-separate-files.patch
  new patch: perf-diff-don-t-use-hack-to-skip-column-length-calculation.patch
  new patch: perf-hist-count-the-total-cycles-of-all-samples.patch
  new patch: perf-hist-support-block-formats-with-compare-sort-display.patch
  new patch: perf-report-sort-by-sampled-cycles-percent-per-block-for-stdio.patch
  new patch: perf-report-sort-by-sampled-cycles-percent-per-block-for-tui.patch
  new patch: perf-report-support-percent-limit-for-total-cycles.patch
- Report sparklines and perhaps stddev for the cycle diffs (jsc#SLE-12721)
  new patch: perf-diff-report-noisy-for-cycles-diff.patch
  new patch: perf-sort-remove-needless-headers-from-sort-h-provide-fwd-struct-decls.patch
  new patch: perf-srcline-add-missing-srcline-h-header-to-files-needing-its-defs.patch
- Perf report. Support interactive annotation of code without symbols (jsc#SLE-12723)
  new patch: perf-map_groups-pass-the-object-to-map_groups__find_ams.patch
  new patch: perf-report-support-interactive-annotation-of-code-without-symbols.patch
  new patch: perf-report-top-do-not-offer-annotation-for-symbols-without-samples.patch
  new patch: perf-report-top-tui-support-hotkey-a-for-annotation-of-unresolved-addresses.patch
  new patch: pref-tools-make-struct-addr_map_symbol-contain-struct-map_symbol.patch
- Add --all-kernel / --all-user to perf stat (jsc#SLE-12724)
  new patch: perf-stat-support-all-kernel-all-user.patch
- Jump to assembler/source view from total cycles tui annotation (jsc#SLE-12728)
  new patch: perf-report-jump-to-symbol-source-view-from-total-cycles-view.patch
  new patch: perf-util-move-block-tui-function-to-ui-browsers.patch
- Update Cascade Lake event list (jsc#SLE-12686)
  new patch: perf-vendor-events-intel-update-cascadelakex-events-to-v1-05.patch
* Thu Oct 29 2020 tonyj@suse.com
- Support a hotkey to change the sort order in interactive browser (jsc#SLE-12726)
  new patch: perf-report-allow-specifying-event-to-be-used-as-sort-key-in-group-output.patch
  new patch: perf-report-support-a-new-key-to-reload-the-browser.patch
  new patch: perf-top-set-display-thread-comm-to-help-with-debugging.patch
  new patch: perf-top-support-group-sort-idx-to-change-the-sort-order.patch
  new patch: perf-top-support-hotkey-to-change-sort-order.patch
* Thu Oct 29 2020 tonyj@suse.com
- Misc perf tools updates for AMD Milan CPUs (jsc#SLE-16757)
  new patch: perf-vendor-events-amd-add-itlb-instruction-fetch-hits-event-for-zen1.patch
  new patch: perf-vendor-events-amd-add-l2-prefetch-events-for-zen1.patch
  new patch: perf-vendor-events-amd-add-l3-cache-events-for-family-17h.patch
  new patch: perf-vendor-events-amd-add-recommended-events.patch
  new patch: perf-vendor-events-amd-add-zen2-events.patch
  new patch: perf-vendor-events-amd-enable-family-19h-users-by-matching-zen2-events.patch
  new patch: perf-vendor-events-amd-remove-trailing-commas.patch
  new patch: perf-vendor-events-amd-restrict-model-detection-for-zen1-based-processors.patch
  new patch: perf-vendor-events-amd-update-zen1-events-to-v2.patch
  new patch: perf-vendor-events-intel-add-icelake-v1-00-event-file.patch
  new patch: perf-vendor-events-intel-add-tremontx-event-file-v1-02.patch
* Thu Oct 29 2020 tonyj@suse.com
- Resolve build error due to kernel-source update adding clashing header.
  New patch: perf-tools-tools-include-should-come-before-tools-uapi-include.patch
* Tue Oct 20 2020 tonyj@suse.com
- Json file metrics for POWER9 hv_24x7 nest events (jsc#SLE-13661)
  new patch: libperf-add-build-version-support.patch
  new patch: libperf-add-debug-output-support.patch
  new patch: libperf-add-libperf-to-the-python-so-build.patch
  new patch: libperf-add-nr_entries-to-struct-perf_evlist.patch
  new patch: libperf-add-perf-core-h-header.patch
  new patch: libperf-add-perf_cpu_map-struct.patch
  new patch: libperf-add-perf_cpu_map__dummy_new-function.patch
  new patch: libperf-add-perf_cpu_map__get-perf_cpu_map__put.patch
  new patch: libperf-add-perf_evlist-and-perf_evsel-structs.patch
  new patch: libperf-add-perf_evlist__add-function.patch
  new patch: libperf-add-perf_evlist__init-function.patch
  new patch: libperf-add-perf_evlist__remove-function.patch
  new patch: libperf-add-perf_evsel__init-function.patch
  new patch: libperf-add-perf_thread_map-struct.patch
  new patch: libperf-add-perf_thread_map__get-perf_thread_map__put.patch
  new patch: libperf-add-perf_thread_map__new_dummy-function.patch
  new patch: libperf-include-perf_evlist-in-evlist-object.patch
  new patch: libperf-include-perf_evsel-in-evsel-object.patch
  new patch: libperf-make-libperf-a-part-of-the-perf-build.patch
  new patch: perf-augmented_raw_syscalls-add-handler-for-openat.patch
  new patch: perf-augmented_raw_syscalls-augment-sockaddr-arg-in-connect.patch
  new patch: perf-augmented_raw_syscalls-rename-augmented_args_filename-to-augmented_args_payload.patch
  new patch: perf-augmented_raw_syscalls-support-copying-two-string-syscall-args.patch
  new patch: perf-augmented_raw_syscalls-switch-to-using-bpf_map_type_prog_array.patch
  new patch: perf-bpf-do-not-attach-a-bpf-prog-to-a-tracepoint-if-its-name-starts-with.patch
  new patch: perf-cpu_map-rename-struct-cpu_map-to-struct-perf_cpu_map.patch
  new patch: perf-debug-remove-needless-include-directives-from-debug-h.patch
  new patch: perf-evlist-rename-perf_evlist__add-to-evlist__add.patch
  new patch: perf-evlist-rename-perf_evlist__close-to-evlist__close.patch
  new patch: perf-evlist-rename-perf_evlist__delete-to-evlist__delete.patch
  new patch: perf-evlist-rename-perf_evlist__disable-to-evlist__disable.patch
  new patch: perf-evlist-rename-perf_evlist__enable-to-evlist__enable.patch
  new patch: perf-evlist-rename-perf_evlist__init-to-evlist__init.patch
  new patch: perf-evlist-rename-perf_evlist__new-to-evlist__new.patch
  new patch: perf-evlist-rename-perf_evlist__open-to-evlist__open.patch
  new patch: perf-evlist-rename-perf_evlist__remove-to-evlist__remove.patch
  new patch: perf-evlist-rename-struct-perf_evlist-to-struct-evlist.patch
  new patch: perf-evsel-rename-perf_evsel__apply_filter-to-evsel__apply_filter.patch
  new patch: perf-evsel-rename-perf_evsel__cpus-to-evsel__cpus.patch
  new patch: perf-evsel-rename-perf_evsel__delete-to-evsel__delete.patch
  new patch: perf-evsel-rename-perf_evsel__disable-to-evsel__disable.patch
  new patch: perf-evsel-rename-perf_evsel__enable-to-evsel__enable.patch
  new patch: perf-evsel-rename-perf_evsel__init-to-evsel__init.patch
  new patch: perf-evsel-rename-perf_evsel__new-to-evsel__new.patch
  new patch: perf-evsel-rename-perf_evsel__open-to-evsel__open.patch
  new patch: perf-evsel-rename-struct-perf_evsel-to-struct-evsel.patch
  new patch: perf-evsel-store-backpointer-to-attached-bpf_object.patch
  new patch: perf-expr-add-expr-c-object.patch
  new patch: perf-expr-add-expr_-prefix-for-parse_ctx-and-parse_id.patch
  new patch: perf-expr-add-expr_scanner_ctx-object.patch
  new patch: perf-expr-fix-copy-paste-mistake.patch
  new patch: perf-expr-increase-expr_max_other-to-support-metrics-with-more-than-15-variables.patch
  new patch: perf-expr-make-expr__parse-return-1-on-error.patch
  new patch: perf-expr-move-expr-lexer-to-flex.patch
  new patch: perf-expr-straighten-expr__parse-expr__find_other-interface.patch
  new patch: perf-include-bpf-add-bpf_tail_call-prototype.patch
  new patch: perf-jevents-support-metric-constraint.patch
  new patch: perf-kvm-s390-add-missing-string-h-header.patch
  new patch: perf-list-hide-deprecated-events-by-default.patch
  new patch: perf-metricgroup-factor-out-metricgroup__add_metric_weak_group.patch
  new patch: perf-metricgroup-fix-printing-event-names-of-metric-group-with-multiple-events-incase-of-overlapping-events.patch
  new patch: perf-metricgroup-fix-printing-event-names-of-metric-group-with-multiple-events.patch
  new patch: perf-metricgroup-remove-needless-includes-from-metricgroup-h.patch
  new patch: perf-metricgroup-scale-the-metric-result.patch
  new patch: perf-metricgroup-support-metric-constraint.patch
  new patch: perf-metricgroup-support-multiple-events-for-metricgroup.patch
  new patch: perf-metricgroups-enhance-json-metric-infrastructure-to-handle.patch
  new patch: perf-metrictroup-split-the-metricgroup__add_metric-function.patch
  new patch: perf-pmu-change-convert_scale-from-static-to-global.patch
  new patch: perf-stat-align-the-output-for-interval-aggregation-mode.patch
  new patch: perf-stat-fix-free-memory-access-memory-leaks-in-metrics.patch
  new patch: perf-stat-move-loaded-out-of-struct-perf_counts_values.patch
  new patch: perf-tests-expr-added-test-for-runtime-param-in-metric-expression.patch
  new patch: perf-tests-remove-needless-headers-for-bp_account.patch
  new patch: perf-tools-enable-hz-hz-prinitg-for-metric-only-option.patch
  new patch: perf-tools-remove-debug-h-from-header-files-not-needing-it.patch
  new patch: perf-tools-remove-util-h-from-where-it-is-not-needed.patch
  new patch: perf-tools-rename-struct-thread_map-to-struct-perf_thread_map.patch
  new patch: perf-tools-use-define-api-pure-full-instead-of-pure-parser.patch
  new patch: perf-trace-add-bpf-handler-for-unaugmented-syscalls.patch
  new patch: perf-trace-add-pointer-to-bpf-object-containing-_augmented_syscalls__.patch
  new patch: perf-trace-add-sendfile64-alias-to-the-sendfile-syscall.patch
  new patch: perf-trace-allow-specifying-the-bpf-prog-to-augment-specific-syscalls.patch
  new patch: perf-trace-beauty-add-bpf-augmenter-for-the-rename-syscall.patch
  new patch: perf-trace-beauty-beautify-bind-s-sockaddr-arg.patch
  new patch: perf-trace-beauty-beautify-sendto-s-sockaddr-arg.patch
  new patch: perf-trace-beauty-disable-fd-pathname-when-close-not-enabled.patch
  new patch: perf-trace-beauty-do-not-try-to-use-the-fd-pathname-beautifier-for-bind-connect-fd-arg.patch
  new patch: perf-trace-beauty-make-connect-s-addrlen-be-printed-as-an-int-not-hex.patch
  new patch: perf-trace-forward-error-codes-when-trying-to-read-syscall-info.patch
  new patch: perf-trace-handle-raw_syscalls-sys_enter-just-like-the-bpf_output-augmented-event.patch
  new patch: perf-trace-look-for-default-name-for-entries-in-the-syscalls-prog-array.patch
  new patch: perf-trace-look-up-maps-just-on-the-_augmented_syscalls__-bpf-object.patch
  new patch: perf-trace-mark-syscall-ids-that-are-not-allocated-to-avoid-unnecessary-error-messages.patch
  new patch: perf-trace-order-e-syscalls-table.patch
  new patch: perf-trace-preallocate-the-syscall-table.patch
  new patch: perf-trace-put-the-per-syscall-entry-exit-prog_array-bpf-map-infrastructure-in-place.patch
  new patch: perf-trace-reuse-bpf-augmenters-from-syscalls-with-similar-args-signature.patch
  new patch: perf-util-factor-out-sysctl__nmi_watchdog_enabled.patch
  new patch: perf-vendor-events-power9-add-hv_24x7-socket-chip-level-metric-events.patch
  refresh patch: perf-intel-pt-process-options-for-pebs-event-synthesis.patch
  refresh patch: perf-metrics-fix-parse-errors-in-power8-metrics.patch
  refresh patch: perf-metrics-fix-parse-errors-in-power9-metrics.patch
  refresh patch: perf-report-fix-no-branch-type-statistics-report-issue.patch
  refresh patch: perf-stat-don-t-report-a-null-stalled-cycles-per-insn-metric.patch
  refresh patch: perf-stat-ensure-group-is-defined-on-top-of-the-same-cpu-mask.patch
  refresh patch: perf-tests-fix-out-of-bounds-memory-access.patch
  refresh patch: perf-tools-fix-record-failure-when-mixed-with-arm-spe-event.patch
* Thu Aug 13 2020 tonyj@suse.com
- Add latest git-fixes (bsc#1175256)
  * perf bpf-loader: Add missing '*' for key_scan_pos
    New patch: perf-bpf-loader-add-missing-for-key_scan_pos.patch
  * perf cs-etm: Move definition of 'traceid_list' global variable from header
    file
    New patch: perf-cs-etm-move-definition-of-traceid_list-global-variable-from-header-file.patch
  * perf env: Do not return pointers to local variables
    New patch: perf-env-do-not-return-pointers-to-local-variables.patch
  * perf intel-pt: Fix PEBS sample for XMM registers
    New patch: perf-intel-pt-fix-pebs-sample-for-xmm-registers.patch
  * perf: Make perf able to build with latest libbfd
    New patch: perf-make-perf-able-to-build-with-latest-libbfd.patch
  * perf metrics: Fix parse errors in power8 metrics
    New patch: perf-metrics-fix-parse-errors-in-power8-metrics.patch
  * perf metrics: Fix parse errors in power9 metrics
    New patch: perf-metrics-fix-parse-errors-in-power9-metrics.patch
  * perf metrics: Fix parse errors in skylake metrics
    New patch: perf-metrics-fix-parse-errors-in-skylake-metrics.patch
  * perf parse-events: Fix an incompatible pointer
    New patch: perf-parse-events-fix-an-incompatible-pointer.patch
  * perf probe: Check address correctness by map instead of _etext
    New patch: perf-probe-check-address-correctness-by-map-instead-of-etext.patch
  * perf probe: Do not show the skipped events
    New patch: perf-probe-do-not-show-the-skipped-events.patch
  * perf probe: Fix to check blacklist address correctly
    New patch: perf-probe-fix-to-check-blacklist-address-correctly.patch
  * perf report: Fix NULL pointer dereference in hists__fprintf_nr_sample_events
    New patch: perf-report-fix-null-pointer-dereference-in-hists__fprintf_nr_sample_events.patch
  * perf report TUI: Fix segmentation fault in perf_evsel__hists_browse()
    New patch: perf-report-tui-fix-segmentation-fault-in-perf_evsel__hists_browse.patch
  * perf scripts python: export-to-postgresql.py: Fix struct.pack() int argument
    New patch: perf-scripts-python-export-to-postgresql-py-fix-struct-pack-int-argument.patch
  * perf scripts python: exported-sql-viewer.py: Fix unexpanded 'Find' result
    New patch: perf-scripts-python-exported-sql-viewer-py-fix-unexpanded-find-result.patch
  * perf scripts python: exported-sql-viewer.py: Fix zero id in call graph find
    result
    New patch: perf-scripts-python-exported-sql-viewer-py-fix-zero-id-in-call-graph-find-result.patch
  * perf scripts python: exported-sql-viewer.py: Fix zero id in call tree find
    result
    New patch: perf-scripts-python-exported-sql-viewer-py-fix-zero-id-in-call-tree-find-result.patch
  * perf stat: Ensure group is defined on top of the same cpu mask
    New patch: perf-stat-ensure-group-is-defined-on-top-of-the-same-cpu-mask.patch
  * perf stat: Fix duration_time value for higher intervals
    New patch: perf-stat-fix-duration_time-value-for-higher-intervals.patch
  * perf stat: Fix NULL pointer dereference
    New patch: perf-stat-fix-null-pointer-dereference.patch
  * perf stat: Fix wrong per-thread runtime stat for interval mode
    New patch: perf-stat-fix-wrong-per-thread-runtime-stat-for-interval-mode.patch
  * perf stat: Honour --timeout for forked workloads
    New patch: perf-stat-honour-timeout-for-forked-workloads.patch
  * perf stat: Improve runtime stat for interval mode
    New patch: perf-stat-improve-runtime-stat-for-interval-mode.patch
  * perf stat: Zero all the 'ena' and 'run' array slot stats for interval mode
    New patch: perf-stat-zero-all-the-ena-and-run-array-slot-stats-for-interval-mode.patch
  * perf test session topology: Fix data path
    New patch: perf-test-session-topology-fix-data-path.patch
  * perf tools: Fix reading new topology attribute "core_cpus"
    New patch: perf-tools-fix-reading-new-topology-attribute-core_cpus.patch
  * perf tools: Fix record failure when mixed with ARM SPE event
    New patch: perf-tools-fix-record-failure-when-mixed-with-arm-spe-event.patch
  * perf vendor events intel: Update all the Intel JSON metrics from TMAM
    New patch: perf-vendor-events-intel-update-all-the-intel-json-metrics-from-tmam-3-6.patch
* Fri May 29 2020 tonyj@suse.com
- Add support for new IBM S390 z15 deflate counters (bsc#1169763)
  New patch: perf-vendor-events-s390-add-new-deflate-counters-for-ibm-z15.patch
  New patch: perf-vendor-events-s390-use-s390-machine-name-instead-of-type-8561.patch
* Thu May 21 2020 tonyj@suse.com
- Add latest git-fixes
  * Fix snprintf overflow check
  * Fix off by one in strncpy() size argument
  * Fix binding of AIO user space buffers to nodes
  * Fix no branch type statistics report issue
  New patch: perf-cpumap-fix-snprintf-overflow-check.patch
  New patch: perf-map-fix-off-by-one-in-strncpy-size-argument.patch
  New patch: perf-record-fix-binding-of-aio-user-space-buffers-to-nodes.patch
  New patch: perf-report-fix-no-branch-type-statistics-report-issue.patch
* Fri Mar 27 2020 tonyj@suse.com
- Add latest git-fixes
  * perf bench futex-wake: Restore thread count default to online CPU
  * perf c2c: Display proper cpu count in nodes column
  * perf c2c: Fix report with offline cpus
  * perf callchain: Fix segfault in thread__resolve_callchain_sample()
  * perf diff: Use llabs() with 64-bit values
  * perf hists browser: Restore ESC as "Zoom out" of DSO/thread/etc
  * perf hists: Fix variable name's inconsistency in hists__for_each()
  * perf jevents: Fix resource leak in process_mapfile() and main()
  * perf list: Allow plurals for metric, metricgroup
  * perf map: No need to adjust the long name of modules
  * perf probe: Filter out instances except for inlined subroutine and
  * perf probe: Fix to find range-only function instance
  * perf probe: Fix to list probe event with correct line number
  * perf probe: Fix to probe a function which has no entry pc
  * perf probe: Fix to probe an inline function which has no entry pc
  * perf probe: Fix to show calling lines of inlined functions
  * perf probe: Fix to show function entry line as probe-able
  * perf probe: Fix to show inlined function callsite without entry_pc
  * perf probe: Fix to show ranges of variables in functions without
  * perf probe: Fix wrong address verification
  * perf probe: Skip end-of-sequence and non statement lines
  * perf probe: Skip overlapped location on searching variables
  * perf probe: Walk function lines in lexical blocks
  * perf regs: Make perf_reg_name() return "unknown" instead of NULL
  * perf report: Fix incorrectly added dimensions as switch perf data file
  * perf script: Allow --time with --reltime
  * perf script: Fix brstackinsn for AUXTRACE
  * perf stat: Don't report a null stalled cycles per insn metric
  * perf test: Report failure for mmap events
  * perf tests: Fix out of bounds memory access
  * perf ui gtk: Add missing zalloc object
  * perf vendor events amd: Remove redundant '['
  * perf vendor events arm64: Fix Hisi hip08 DDRC PMU eventname
  * perf vendor events: Remove P8 HW events which are not supported
  * perf vendor events s390: Add JSON transaction for machine type 8561
  * perf vendor events s390: Remove name from L1D_RO_EXCL_WRITES
  New patch: perf-bench-futex-wake-restore-thread-count-default-to-online-cpu-count.patch
  New patch: perf-c2c-display-proper-cpu-count-in-nodes-column.patch
  New patch: perf-c2c-fix-report-with-offline-cpus.patch
  New patch: perf-callchain-fix-segfault-in-thread__resolve_callchain_sample.patch
  New patch: perf-diff-use-llabs-with-64-bit-values.patch
  New patch: perf-hists-browser-restore-esc-as-zoom-out-of-dso-thread-etc.patch
  New patch: perf-hists-fix-variable-name-s-inconsistency-in-hists__for_each-macro.patch
  New patch: perf-jevents-fix-resource-leak-in-process_mapfile-and-main.patch
  New patch: perf-list-allow-plurals-for-metric-metricgroup.patch
  New patch: perf-map-no-need-to-adjust-the-long-name-of-modules.patch
  New patch: perf-probe-filter-out-instances-except-for-inlined-subroutine-and-subprogram.patch
  New patch: perf-probe-fix-to-find-range-only-function-instance.patch
  New patch: perf-probe-fix-to-list-probe-event-with-correct-line-number.patch
  New patch: perf-probe-fix-to-probe-a-function-which-has-no-entry-pc.patch
  New patch: perf-probe-fix-to-probe-an-inline-function-which-has-no-entry-pc.patch
  New patch: perf-probe-fix-to-show-calling-lines-of-inlined-functions.patch
  New patch: perf-probe-fix-to-show-function-entry-line-as-probe-able.patch
  New patch: perf-probe-fix-to-show-inlined-function-callsite-without-entry_pc.patch
  New patch: perf-probe-fix-to-show-ranges-of-variables-in-functions-without-entry_pc.patch
  New patch: perf-probe-fix-wrong-address-verification.patch
  New patch: perf-probe-skip-end-of-sequence-and-non-statement-lines.patch
  New patch: perf-probe-skip-overlapped-location-on-searching-variables.patch
  New patch: perf-probe-walk-function-lines-in-lexical-blocks.patch
  New patch: perf-regs-make-perf_reg_name-return-unknown-instead-of-null.patch
  New patch: perf-report-fix-incorrectly-added-dimensions-as-switch-perf-data-file.patch
  New patch: perf-script-allow-time-with-reltime.patch
  New patch: perf-script-fix-brstackinsn-for-auxtrace.patch
  New patch: perf-stat-don-t-report-a-null-stalled-cycles-per-insn-metric.patch
  New patch: perf-test-report-failure-for-mmap-events.patch
  New patch: perf-tests-fix-out-of-bounds-memory-access.patch
  New patch: perf-ui-gtk-add-missing-zalloc-object.patch
  New patch: perf-vendor-events-amd-remove-redundant.patch
  New patch: perf-vendor-events-arm64-fix-hisi-hip08-ddrc-pmu-eventname.patch
  New patch: perf-vendor-events-remove-p8-hw-events-which-are-not-supported.patch
  New patch: perf-vendor-events-s390-add-json-transaction-for-machine-type-8561.patch
  New patch: perf-vendor-events-s390-remove-name-from-l1d_ro_excl_writes-description.patch
* Mon Nov 25 2019 tonyj@suse.com
- Provide PEBS data via Intel PT trace logs (JIRA#SLE-9874)
  New patch: perf-tools-add-aux_output-attribute-flag.patch
  New patch: perf-tools-add-itrace-option-o-to-synthesize-aux-output-events.patch
  New patch: perf-intel-pt-process-options-for-pebs-event-synthesis.patch
  New patch: perf-tools-add-aux-output-config-term.patch
  New patch: perf-intel-pt-add-brief-documentation-for-pebs-via-intel-pt.patch
* Mon Nov 18 2019 tonyj@suse.com
- fix gtk2 detection (based on Factory change by iri Slaby <jslaby@suse.com>)
* Thu Aug  8 2019 tonyj@suse.com
- Fork for SP2 (v5.3 kernel source)
  Delete patch: perf-annotate-browser-display-titles-in-left-frame.patch
  Delete patch: perf-annotate-do-not-overwrite-sample-period.patch
  Delete patch: perf-annotate-document-show-total-period-option.patch
  Delete patch: perf-annotate-fix-storing-per-line-sym_hist_entry.patch
  Delete patch: perf-annotate-introduce-struct-sym_hist_entry.patch
  Delete patch: perf-annotate-rename-sum-to-nr_samples-in-struct-sym_hist.patch
  Delete patch: perf-annotate-stdio-fix-column-header-when-using-show-total-period.patch
  Delete patch: perf-annotate-stdio-fix-show-total-period.patch
  Delete patch: perf-annotate-stdio-set-enough-columns-for-show-total-period.patch
  Delete patch: perf-annotate-stdio-support-show-nr-samples-option.patch
  Delete patch: perf-annotate-store-the-sample-period-in-each-histogram-bucket.patch
  Delete patch: perf-annotate-tui-clarify-calculation-of-column-header-widths.patch
  Delete patch: perf-annotate-tui-fix-column-header-when-toggling-period-percent.patch
  Delete patch: perf-annotate-tui-fix-show-total-period.patch
  Delete patch: perf-annotate-tui-set-appropriate-column-width-for-period-percent.patch
  Delete patch: perf-annotate-tui-use-sym_hist_entry-in-disasm_line_samples.patch
  Delete patch: perf-arm-spe-Fix-uninitialized-record-error-variable.patch
  Delete patch: perf-arm64-Generate-system-call-table-from-asm-unist.patch
  Delete patch: perf-arm64-fix-generate-system-call-table-failed-with-tmp-mounted-with-noexec.patch
  Delete patch: perf-arm64-fix-include-path-for-asm-generic-unistd-h.patch
  Delete patch: perf-auxtrace-arm-Fixing-uninitialised-variable.patch
  Delete patch: perf-c2c-fix-c2c-report-for-empty-numa-node.patch
  Delete patch: perf-c2c-fix-spelling-mistakes-in-browser-help-text.patch
  Delete patch: perf-c2c-report-fix-crash-for-empty-browser.patch
  Delete patch: perf-events-parse-Remove-some-needless-local-variabl.patch
  Delete patch: perf-events-parse-Rename-parse_events_parse-argument.patch
  Delete patch: perf-events-parse-Rename-parsing-state-struct-to-cle.patch
  Delete patch: perf-events-parse-Use-just-one-parse-events-state-st.patch
  Delete patch: perf-evlist-remove-evlist-overwrite.patch
  Delete patch: perf-evlist-remove-overwrite-parameter-from-perf_evlist__mmap.patch
  Delete patch: perf-evlist-remove-overwrite-parameter-from-perf_evlist__mmap_ex.patch
  Delete patch: perf-evlist-remove-stale-mmap-read-for-backward.patch
  Delete patch: perf-evsel-add-read_counter.patch
  Delete patch: perf-evsel-add-verbose-output-for-sys_perf_event_open-fallback.patch
  Delete patch: perf-evsel-allow-asking-for-max-precise_ip-in-new_cycles.patch
  Delete patch: perf-evsel-expose-the-perf_missing_features-struct.patch
  Delete patch: perf-evsel-fix-attr-exclude_kernel-setting-for-default-cycles-p.patch
  Delete patch: perf-evsel-only-fall-back-group-read-for-leader.patch
  Delete patch: perf-evsel-set-attr-exclude_kernel-when-probing-max-attr-precise_ip.patch
  Delete patch: perf-ftrace-move-setup_pager-before-opening-trace_pipe.patch
  Delete patch: perf-header-add-struct-feat_fd-for-write.patch
  Delete patch: perf-header-encapsulate-read-and-swap.patch
  Delete patch: perf-header-fail-on-write_padded-error.patch
  Delete patch: perf-header-fix-wrong-node-write-in-numa_topology-feature.patch
  Delete patch: perf-header-remove-unused-cpu_nr-field-from-struct-cpu_topo.patch
  Delete patch: perf-header-revamp-do_write.patch
  Delete patch: perf-help-fix-a-bug-during-strstart-conversion.patch
  Delete patch: perf-hists-browser-add-parameter-to-disable-lost-event-warning.patch
  Delete patch: perf-hists-pass-perf_sample-to-_symbol__inc_addr_samples.patch
  Delete patch: perf-jevents-Make-build-fail-on-JSON-parse-error.patch
  Delete patch: perf-jevents-support-fcmask-and-portmask.patch
  Delete patch: perf-jvmti-fix-linker-error-when-libelf-config-is-disabled.patch
  Delete patch: perf-list-Add-metric-groups-to-perf-list.patch
  Delete patch: perf-mem-allow-all-record-report-options.patch
  Delete patch: perf-mem-c2c-fix-perf_mem_events-to-support-powerpc.patch
  Delete patch: perf-mem-document-a-missing-option.patch
  Delete patch: perf-mem-document-incorrect-and-missing-options.patch
  Delete patch: perf-mmap-add-new-return-value-logic-for-perf_mmap__read_init.patch
  Delete patch: perf-mmap-adopt-push-method-from-builtin-record-c.patch
  Delete patch: perf-mmap-be-consistent-when-checking-for-an-unmaped-ring-buffer.patch
  Delete patch: perf-mmap-cleanup-perf_mmap__push.patch
  Delete patch: perf-mmap-discard-legacy-interface-for-mmap-read.patch
  Delete patch: perf-mmap-discard-prev-in-perf_mmap__read.patch
  Delete patch: perf-mmap-don-t-discard-prev-in-backward-mode.patch
  Delete patch: perf-mmap-fix-accessing-unmapped-mmap-in-perf_mmap__read_done.patch
  Delete patch: perf-mmap-fix-perf-backward-recording.patch
  Delete patch: perf-mmap-introduce-perf_mmap__read_done.patch
  Delete patch: perf-mmap-introduce-perf_mmap__read_event.patch
  Delete patch: perf-mmap-introduce-perf_mmap__read_init.patch
  Delete patch: perf-mmap-move-perf_mmap-and-methods-to-separate-mmap-files.patch
  Delete patch: perf-mmap-recalculate-size-for-overwrite-mode.patch
  Delete patch: perf-mmap-remove-overwrite-and-check_messup-from-mmap-read.patch
  Delete patch: perf-mmap-remove-overwrite-from-arguments-list-of-perf_mmap__push.patch
  Delete patch: perf-pmu-Add-check-for-valid-cpuid-in-perf_pmu__find.patch
  Delete patch: perf-pmu-Pass-pmu-as-a-parameter-to-get_cpuid_str.patch
  Delete patch: perf-pmu-Unbreak-perf-record-for-arm-arm64-with-even.patch
  Delete patch: perf-pmu-extract-function-to-get-json-alias-map.patch
  Delete patch: perf-probe-arm64-Fix-symbol-fixup-issues-due-to-ELF-.patch
  Delete patch: perf-probe-fix-kprobe-blacklist-checking-condition.patch
  Delete patch: perf-probe-support-sdt-markers-having-reference-counter-semaphore.patch
  Delete patch: perf-provide-definition-for-einval-on-32bit.patch
  Delete patch: perf-python-do-not-force-closing-original-perf-descriptor-in-evlist-get_pollfd.patch
  Delete patch: perf-python-make-clang_has_option-work-on-python-3.patch
  Delete patch: perf-python-make-twatch-py-work-with-both-python2-and-python3.patch
  Delete patch: perf-python-remove-mcet-and-fcf-protection-when-building-with-clang.patch
  Delete patch: perf-python-use-wno-redundant-decls-to-build-with-python-python3.patch
  Delete patch: perf-record-enable-arbitrary-event-names-thru-name-modifier.patch
  Delete patch: perf-record-make-record__mmap_read-generic.patch
  Delete patch: perf-report-extend-raw-dump-d-out-with-switch-out-event-type.patch
  Delete patch: perf-report-remove-unnecessary-check-in-annotate_browser_write.patch
  Delete patch: perf-script-add-missing-output-fields-in-a-hint.patch
  Delete patch: perf-script-add-support-to-display-sample-misc-field.patch
  Delete patch: perf-script-allow-adding-and-removing-fields.patch
  Delete patch: perf-script-extend-misc-field-decoding-with-switch-out-event-type.patch
  Delete patch: perf-script-fix-crash-when-processing-recorded-stat-data.patch
  Delete patch: perf-script-fix-crash-with-printing-mixed-trace-point-and-other-events.patch
  Delete patch: perf-script-python-add-perf_sample-dict-to-tracepoint-handlers.patch
  Delete patch: perf-script-python-add-printdate-function-to-sql-exporters.patch
  Delete patch: perf-script-python-add-python3-support-to-check-perf-trace-py.patch
  Delete patch: perf-script-python-add-python3-support-to-event_analyzing_sample-py.patch
  Delete patch: perf-script-python-add-python3-support-to-export-to-postgresql-py.patch
  Delete patch: perf-script-python-add-python3-support-to-exported-sql-viewer-py.patch
  Delete patch: perf-script-python-add-python3-support-to-failed-syscalls-by-pid-py.patch
  Delete patch: perf-script-python-add-python3-support-to-futex-contention-py.patch
  Delete patch: perf-script-python-add-python3-support-to-net_dropmonitor-py.patch
  Delete patch: perf-script-python-add-python3-support-to-netdev-times-py.patch
  Delete patch: perf-script-python-add-python3-support-to-sctop-py.patch
  Delete patch: perf-script-python-add-python3-support-to-stackcollapse-py.patch
  Delete patch: perf-script-python-add-python3-support-to-stat-cpi-py.patch
  Delete patch: perf-script-python-add-python3-support-to-syscall-counts-by-pid-py.patch
  Delete patch: perf-script-python-add-python3-support-to-syscall-counts-py.patch
  Delete patch: perf-script-python-add-python3-support-to-tests-attr-py.patch
  Delete patch: perf-script-python-add-sample_read-to-dict.patch
  Delete patch: perf-script-python-add-trace_context-extension-module-to-sys-modules.patch
  Delete patch: perf-script-python-allocate-memory-only-if-handler-exists.patch
  Delete patch: perf-script-python-refactor-creation-of-perf-sample-dict.patch
  Delete patch: perf-script-python-remove-explicit-shebang-from-python-scripts.patch
  Delete patch: perf-script-python-remove-explicit-shebang-from-setup-py.patch
  Delete patch: perf-script-python-remove-explicit-shebang-from-tests-attr-c.patch
  Delete patch: perf-script-python-remove-mixed-indentation.patch
  Delete patch: perf-script-python-use-pybytes-for-attr-in-trace-event-python.patch
  Delete patch: perf-script-show-hw-cache-events.patch
  Delete patch: perf-scripting-python-add-ppc64le-to-audit-uname-list.patch
  Delete patch: perf-scripts-python-add-python-3-support-to-core-py.patch
  Delete patch: perf-scripts-python-add-python-3-support-to-eventclass-py.patch
  Delete patch: perf-scripts-python-add-python-3-support-to-sched-migration-py.patch
  Delete patch: perf-scripts-python-add-python-3-support-to-schedgui-py.patch
  Delete patch: perf-scripts-python-add-python-3-support-to-util-py.patch
  Delete patch: perf-scripts-python-fix-missing-call_path_id-in-export-to-postgresql-script.patch
  Delete patch: perf-stat-Factor-out-generic-metric-printing.patch
  Delete patch: perf-stat-Only-auto-merge-events-that-are-PMU-aliase.patch
  Delete patch: perf-stat-Support-JSON-metrics-in-perf-stat.patch
  Delete patch: perf-stat-enable-1ms-interval-for-printing-event-counters-values.patch
  Delete patch: perf-stat-use-group-read-for-event-groups.patch
  Delete patch: perf-symbols-Fix-plt-entry-calculation-for-ARM-and-A.patch
  Delete patch: perf-symbols-fix-memory-corruption-because-of-zero-length-symbols.patch
  Delete patch: perf-symbols-set-plt-entry-header-sizes-properly-on-sparc.patch
  Delete patch: perf-test-add-test-cases-for-new-data-source-encoding.patch
  Delete patch: perf-test-make-list-subcommand-match-main-perf-test-numbering-matching.patch
  Delete patch: perf-test-powerpc-fix-object-code-reading-test.patch
  Delete patch: perf-test-sdt-handle-realpath-failure.patch
  Delete patch: perf-test-update-mmap-read-functions-for-backward-ring-buffer-test.patch
  Delete patch: perf-tests-Run-dwarf-unwind-test-on-arm32.patch
  Delete patch: perf-tests-attr-fix-no-delay-test.patch
  Delete patch: perf-tests-set-evlist-of-test__backward_ring_buffer-to-overwrite.patch
  Delete patch: perf-tests-set-evlist-of-test__basic_mmap-to-overwrite.patch
  Delete patch: perf-tests-set-evlist-of-test__sw_clock_freq-to-overwrite.patch
  Delete patch: perf-tests-set-evlist-of-test__task_exit-to-overwrite.patch
  Delete patch: perf-tools-Add-ARM-Statistical-Profiling-Extensions-.patch
  Delete patch: perf-tools-add-cpu_topology-object.patch
  Delete patch: perf-tools-add-numa_topology-object.patch
  Delete patch: perf-tools-add-perf_evsel__read_size-function.patch
  Delete patch: perf-tools-add-python-3-support.patch
  Delete patch: perf-tools-add-support-for-printing-new-mem_info-encodings.patch
  Delete patch: perf-tools-arm64-Add-libdw-DWARF-post-unwind-support.patch
  Delete patch: perf-tools-arm64-Add-support-for-get_cpuid_str-funct.patch
  Delete patch: perf-tools-fix-python-extension-build-for-gcc-8.patch
  Delete patch: perf-tools-handle-topology-headers-with-no-cpu.patch
  Delete patch: perf-tools-really-install-manpages-via-make-install-man.patch
  Delete patch: perf-tools-rename-backward-to-overwrite-in-evlist-mmap-and-record.patch
  Delete patch: perf-top-add-overwrite-fall-back.patch
  Delete patch: perf-top-allow-disabling-the-overwrite-mode.patch
  Delete patch: perf-top-check-per-event-overwrite-term.patch
  Delete patch: perf-top-check-the-latency-of-perf_top__mmap_read.patch
  Delete patch: perf-top-do-not-use-overwrite-mode-by-default.patch
  Delete patch: perf-top-fix-annoying-fallback-message-on-older-kernels.patch
  Delete patch: perf-top-fix-window-dimensions-change-handling.patch
  Delete patch: perf-top-remove-lost-events-checking.patch
  Delete patch: perf-top-switch-default-mode-to-overwrite-mode.patch
  Delete patch: perf-trace-fix-off-by-one-string-allocation-problem.patch
  Delete patch: perf-util-add-const-modifier-to-buf-in-writen-function.patch
  Delete patch: perf-vendor-events-Add-support-for-arch-standard-eve.patch
  Delete patch: perf-vendor-events-Add-support-for-pmu-events-vendor.patch
  Delete patch: perf-vendor-events-Drop-incomplete-multiple-mapfile-.patch
  Delete patch: perf-vendor-events-Drop-support-for-unused-topic-dir.patch
  Delete patch: perf-vendor-events-Fix-error-code-in-json_events.patch
  Delete patch: perf-vendor-events-Support-metric_group-and-no-event.patch
  Delete patch: perf-vendor-events-aarch64-Add-JSON-metrics-for-ARM-.patch
  Delete patch: perf-vendor-events-add-core-event-list-for-skylake-server.patch
  Delete patch: perf-vendor-events-add-goldmont-plus-v1-event-file.patch
  Delete patch: perf-vendor-events-add-skylake-server-uncore-event-list.patch
  Delete patch: perf-vendor-events-arm64-Add-ThunderX2-implementatio.patch
  Delete patch: perf-vendor-events-arm64-Add-armv8-recommended.json.patch
  Delete patch: perf-vendor-events-arm64-Enable-JSON-events-for-Thun.patch
  Delete patch: perf-vendor-events-arm64-Enable-JSON-events-for-eMAG.patch
  Delete patch: perf-vendor-events-arm64-Fixup-ThunderX2-to-use-reco.patch
  Delete patch: perf-vendor-events-arm64-Relocate-Cortex-A53-JSONs-t.patch
  Delete patch: perf-vendor-events-arm64-Relocate-ThunderX2-JSON-to-.patch
  Delete patch: perf-vendor-events-arm64-Update-ThunderX2-implementa.patch
  Delete patch: perf-vendor-events-arm64-add-HiSilicon-hip08-JSON-fi.patch
  Delete patch: perf-vendor-events-arm64-fixup-A53-to-use-recommende.patch
  Delete patch: perf-vendor-events-update-power9-events-9749adc3.patch
  Delete patch: perf-vendor-events-update-power9-events-e795dd42.patch
  Delete patch: perf-vendor-events-use-more-flexible-pattern-matching-for-cpu-identification-for-mapfile-csv.patch
  Delete patch: tools-include-Adopt-strstarts-from-the-kernel.patch
- Merge Factory change
  Tue Oct 16 22:51:15 UTC 2018 - Tony Jones <tonyj@suse.com>
  - Update examples paths to resolve build failures.
* Tue Jul 23 2019 tonyj@suse.com
- perf script: Fix crash printing mixed tracepoint/other events (bsc#1142104)
  New patch: perf-script-fix-crash-with-printing-mixed-trace-point-and-other-events.patch
* Thu Mar 28 2019 tonyj@suse.com
- Correct missing static qualifier in previous backport of
  perf-mmap-be-consistent-when-checking-for-an-unmaped-ring-buffer.patch
- Git-fixes:
  New patch: perf-python-do-not-force-closing-original-perf-descriptor-in-evlist-get_pollfd.patch
* Sat Mar 23 2019 tonyj@suse.com
- Handle empty node 0 topology for c2c (bsc#1127191)
  New patch: perf-header-encapsulate-read-and-swap.patch
  New patch: perf-util-add-const-modifier-to-buf-in-writen-function.patch
  New patch: perf-header-fail-on-write_padded-error.patch
  New patch: perf-header-revamp-do_write.patch
  New patch: perf-header-add-struct-feat_fd-for-write.patch
  New patch: perf-header-remove-unused-cpu_nr-field-from-struct-cpu_topo.patch
  New patch: perf-header-fix-wrong-node-write-in-numa_topology-feature.patch
  New patch: perf-tools-add-cpu_topology-object.patch
  New patch: perf-tools-add-numa_topology-object.patch
  New patch: perf-c2c-fix-c2c-report-for-empty-numa-node.patch
  New patch: perf-tools-handle-topology-headers-with-no-cpu.patch
  New patch: perf-c2c-fix-spelling-mistakes-in-browser-help-text.patch
  New patch: perf-c2c-report-fix-crash-for-empty-browser.patch
* Fri Mar 22 2019 tonyj@suse.com
- Refresh patches for previous Python3 (Thu Jan 10 23:23:28 UTC 2019)
  submission now that all patches are upstream
  Delete patch: port-netdev-times-script-to-python3.patch
  Delete patch: port-check-perf-trace-script-to-python3.patch
  Delete patch: port-event_analyzing_sample-script-to-python3.patch
  Delete patch: port-failed-syscalls-by-pid-script-to-python3.patch
  Delete patch: port-futex-contention-script-to-python3.patch
  Delete patch: port-net_dropmonitor-script-to-python3.patch
  Delete patch: port-sctop-script-to-python3.patch
  Delete patch: port-stackcollapse-script-to-python3.patch
  Delete patch: port-stat-cpi-script-to-python3.patch
  Delete patch: port-syscall-counts-by-pid-script-to-python3.patch
  Delete patch: port-python-syscall-counts-script-to-python3.patch
  Delete patch: remove-shebang-from-scripts-python.patch
  Delete patch: remove-shebang-from-tests-attr.py.patch
  Delete patch: remove-shebang-from-util-setup.py.patch
  Delete patch: update-tests-attr.py-to-support-python3.patch
  Delete patch: use-pybytes-for-attr-in-trace-event-python.patch
  New patch: perf-script-python-add-printdate-function-to-sql-exporters.patch
  New patch: perf-script-python-add-python3-support-to-export-to-postgresql-py.patch
  New patch: perf-script-python-add-python3-support-to-exported-sql-viewer-py.patch
  New patch: perf-script-python-add-python3-support-to-failed-syscalls-by-pid-py.patch
  New patch: perf-script-python-add-python3-support-to-futex-contention-py.patch  New patch: perf-script-python-add-python3-support-to-net_dropmonitor-py.patch
  New patch: perf-script-python-add-python3-support-to-netdev-times-py.patch
  New patch: perf-script-python-add-python3-support-to-sctop-py.patch
  New patch: perf-script-python-add-python3-support-to-stackcollapse-py.patch
  New patch: perf-script-python-add-python3-support-to-stat-cpi-py.patch
  New patch: perf-script-python-add-python3-support-to-syscall-counts-by-pid-py.patch
  New patch: perf-script-python-add-python3-support-to-syscall-counts-py.patch
  New patch: perf-script-python-add-python3-support-to-tests-attr-py.patch
  New patch: perf-script-python-add-trace_context-extension-module-to-sys-modules.patch
  New patch: perf-script-python-remove-explicit-shebang-from-python-scripts.patch
  New patch: perf-script-python-remove-explicit-shebang-from-setup-py.patch
  New patch: perf-script-python-remove-explicit-shebang-from-tests-attr-c.patch
  New patch: perf-script-python-remove-mixed-indentation.patch
  New patch: perf-script-python-add-python3-support-to-check-perf-trace-py.patch
  New patch: perf-script-python-add-python3-support-to-event_analyzing_sample-py.patch
  New patch: perf-script-python-use-pybytes-for-attr-in-trace-event-python.patch
* Fri Mar 22 2019 tonyj@suse.com
- Fix crash when processing recorded stat data
  New patch: perf-script-fix-crash-when-processing-recorded-stat-data.patch
* Wed Feb 13 2019 tonyj@suse.com
- Add POWER mem/c2c support (FATE#326866, bsc#1124370)
  New patch: perf-mem-c2c-fix-perf_mem_events-to-support-powerpc.patch
  New patch: perf-mem-allow-all-record-report-options.patch
  New patch: perf-mem-document-a-missing-option.patch
  New patch: perf-mem-document-incorrect-and-missing-options.patch
* Fri Feb  1 2019 tonyj@suse.com
- Uprobes: Support for SDT events with reference counter
  (FATE#326782, bsc#1115391)
  New patch: perf-probe-support-sdt-markers-having-reference-counter-semaphore.patch
* Mon Jan 14 2019 tonyj@suse.com
- Add support for VTune (FATE#326324)
  New patch:  perf-record-enable-arbitrary-event-names-thru-name-modifier.patch
  New patch:  perf-report-extend-raw-dump-d-out-with-switch-out-event-type.patch
  New patch:  perf-script-add-missing-output-fields-in-a-hint.patch
  New patch:  perf-script-add-support-to-display-sample-misc-field.patch
  New patch:  perf-script-allow-adding-and-removing-fields.patch
  New patch:  perf-script-extend-misc-field-decoding-with-switch-out-event-type.patch
  New patch:  perf-stat-enable-1ms-interval-for-printing-event-counters-values.patch
* Thu Jan 10 2019 tonyj@suse.com
- Enable python3.  Remove all uses of python2 (bsc#1082197)
  New patch: perf-script-python-allocate-memory-only-if-handler-exists.patch
  New patch: perf-script-python-refactor-creation-of-perf-sample-dict.patch
  New patch: perf-script-python-add-sample_read-to-dict.patch
  New patch: perf-script-python-add-perf_sample-dict-to-tracepoint-handlers.patch
  New patch: perf-python-make-twatch-py-work-with-both-python2-and-python3.patch
  New patch: perf-tools-add-python-3-support.patch
  New patch: perf-tools-fix-python-extension-build-for-gcc-8.patch
  New patch: perf-scripts-python-add-python-3-support-to-util-py.patch
  New patch: perf-scripts-python-add-python-3-support-to-sched-migration-py.patch
  New patch: perf-scripts-python-add-python-3-support-to-schedgui-py.patch
  New patch: perf-scripts-python-add-python-3-support-to-eventclass-py.patch
  New patch: perf-scripts-python-add-python-3-support-to-core-py.patch
  New patch: perf-python-remove-mcet-and-fcf-protection-when-building-with-clang.patch
  New patch: perf-python-use-wno-redundant-decls-to-build-with-python-python3.patch
  New patch: perf-python-make-clang_has_option-work-on-python-3.patch
  New patch: update-tests-attr.py-to-support-python3.patch
  New patch: remove-shebang-from-util-setup.py.patch
  New patch: remove-shebang-from-tests-attr.py.patch
  New patch: remove-shebang-from-scripts-python.patch
  New patch: add-trace_context-extension-module-to-sys-modules.patch
  New patch: use-pybytes-for-attr-in-trace-event-python.patch
  New patch: port-netdev-times-script-to-python3.patch
  New patch: port-check-perf-trace-script-to-python3.patch
  New patch: port-event_analyzing_sample-script-to-python3.patch
  New patch: port-failed-syscalls-by-pid-script-to-python3.patch
  New patch: port-futex-contention-script-to-python3.patch
  New patch: port-net_dropmonitor-script-to-python3.patch
  New patch: port-sctop-script-to-python3.patch
  New patch: port-stackcollapse-script-to-python3.patch
  New patch: port-stat-cpi-script-to-python3.patch
  New patch: port-syscall-counts-by-pid-script-to-python3.patch
  New patch: port-python-syscall-counts-script-to-python3.patch
  New patch: port-sql-scripts-to-python3.patch
* Tue Nov 13 2018 tonyj@suse.com
- Add support for ARMv8.x-A statistical profiling extension (FATE#325865)
- Add support for ARMv8.1-PMU: ARMv8.1 PMU Extensions (FATE#325861)
  New patch: perf-arm64-Generate-system-call-table-from-asm-unist.patch
  New patch: perf-arm-spe-Fix-uninitialized-record-error-variable.patch
  New patch: perf-auxtrace-arm-Fixing-uninitialised-variable.patch
  New patch: perf-events-parse-Remove-some-needless-local-variabl.patch
  New patch: perf-events-parse-Rename-parse_events_parse-argument.patch
  New patch: perf-events-parse-Rename-parsing-state-struct-to-cle.patch
  New patch: perf-events-parse-Use-just-one-parse-events-state-st.patch
  New patch: perf-help-fix-a-bug-during-strstart-conversion.patch
  New patch: perf-list-Add-metric-groups-to-perf-list.patch
  New patch: perf-pmu-Add-check-for-valid-cpuid-in-perf_pmu__find.patch
  New patch: perf-pmu-extract-function-to-get-json-alias-map.patch
  New patch: perf-pmu-Pass-pmu-as-a-parameter-to-get_cpuid_str.patch
  New patch: perf-pmu-Unbreak-perf-record-for-arm-arm64-with-even.patch
  New patch: perf-probe-arm64-Fix-symbol-fixup-issues-due-to-ELF-.patch
  New patch: perf-stat-Factor-out-generic-metric-printing.patch
  New patch: perf-stat-Only-auto-merge-events-that-are-PMU-aliase.patch
  New patch: perf-stat-Support-JSON-metrics-in-perf-stat.patch
  New patch: perf-symbols-Fix-plt-entry-calculation-for-ARM-and-A.patch
  New patch: perf-tests-Run-dwarf-unwind-test-on-arm32.patch
  New patch: perf-tools-Add-ARM-Statistical-Profiling-Extensions-.patch
  New patch: perf-tools-arm64-Add-libdw-DWARF-post-unwind-support.patch
  New patch: perf-tools-arm64-Add-support-for-get_cpuid_str-funct.patch
  New patch: perf-vendor-events-arm64-Enable-JSON-events-for-eMAG.patch
  New patch: perf-vendor-events-arm64-Update-ThunderX2-implementa.patch
  New patch: tools-include-Adopt-strstarts-from-the-kernel.patch
- Incorporate git-fixes for FATE#325865/FATE#325861
  New patch: perf-arm64-fix-generate-system-call-table-failed-with-tmp-mounted-with-noexec.patch
  New patch: perf-arm64-fix-include-path-for-asm-generic-unistd-h.patch missing
  New patch: perf-symbols-set-plt-entry-header-sizes-properly-on-sparc.patch missing
- Add Hi1620 Perf hardware enablement (FATE#326417)
  New patch: perf-jevents-Make-build-fail-on-JSON-parse-error.patch
  New patch: perf-vendor-events-aarch64-Add-JSON-metrics-for-ARM-.patch
  New patch: perf-vendor-events-Add-support-for-arch-standard-eve.patch
  New patch: perf-vendor-events-Add-support-for-pmu-events-vendor.patch
  New patch: perf-vendor-events-arm64-Add-armv8-recommended.json.patch
  New patch: perf-vendor-events-arm64-add-HiSilicon-hip08-JSON-fi.patch
  New patch: perf-vendor-events-arm64-Add-ThunderX2-implementatio.patch
  New patch: perf-vendor-events-arm64-Enable-JSON-events-for-Thun.patch
  New patch: perf-vendor-events-arm64-fixup-A53-to-use-recommende.patch
  New patch: perf-vendor-events-arm64-Fixup-ThunderX2-to-use-reco.patch
  New patch: perf-vendor-events-arm64-Relocate-Cortex-A53-JSONs-t.patch
  New patch: perf-vendor-events-arm64-Relocate-ThunderX2-JSON-to-.patch
  New patch: perf-vendor-events-Drop-incomplete-multiple-mapfile-.patch
  New patch: perf-vendor-events-Drop-support-for-unused-topic-dir.patch
  New patch: perf-vendor-events-Fix-error-code-in-json_events.patch
  New patch: perf-vendor-events-Support-metric_group-and-no-event.patch
* Tue Nov  6 2018 tonyj@suse.com
- Add warning to perf top for too slow CPUs (FATE#325579)
  New patch: perf-evlist-remove-evlist-overwrite.patch
  New patch: perf-evlist-remove-overwrite-parameter-from-perf_evlist__mmap.patch
  New patch: perf-evlist-remove-overwrite-parameter-from-perf_evlist__mmap_ex.patch
  New patch: perf-evlist-remove-stale-mmap-read-for-backward.patch
  New patch: perf-evsel-add-read_counter.patch
  New patch: perf-evsel-add-verbose-output-for-sys_perf_event_open-fallback.patch
  New patch: perf-evsel-expose-the-perf_missing_features-struct.patch
  New patch: perf-hists-browser-add-parameter-to-disable-lost-event-warning.patch
  New patch: perf-mmap-add-new-return-value-logic-for-perf_mmap__read_init.patch
  New patch: perf-mmap-adopt-push-method-from-builtin-record-c.patch
  New patch: perf-mmap-cleanup-perf_mmap__push.patch
  New patch: perf-mmap-discard-legacy-interface-for-mmap-read.patch
  New patch: perf-mmap-discard-prev-in-perf_mmap__read.patch
  New patch: perf-mmap-don-t-discard-prev-in-backward-mode.patch
  New patch: perf-mmap-fix-perf-backward-recording.patch
  New patch: perf-mmap-introduce-perf_mmap__read_done.patch
  New patch: perf-mmap-introduce-perf_mmap__read_event.patch
  New patch: perf-mmap-introduce-perf_mmap__read_init.patch
  New patch: perf-mmap-move-perf_mmap-and-methods-to-separate-mmap-files.patch
  New patch: perf-mmap-recalculate-size-for-overwrite-mode.patch
  New patch: perf-mmap-remove-overwrite-and-check_messup-from-mmap-read.patch
  New patch: perf-mmap-remove-overwrite-from-arguments-list-of-perf_mmap__push.patch
  New patch: perf-record-make-record__mmap_read-generic.patch
  New patch: perf-stat-use-group-read-for-event-groups.patch
  New patch: perf-test-update-mmap-read-functions-for-backward-ring-buffer-test.patch
  New patch: perf-tests-set-evlist-of-test__backward_ring_buffer-to-overwrite.patch
  New patch: perf-tests-set-evlist-of-test__basic_mmap-to-overwrite.patch
  New patch: perf-tests-set-evlist-of-test__sw_clock_freq-to-overwrite.patch
  New patch: perf-tests-set-evlist-of-test__task_exit-to-overwrite.patch
  New patch: perf-tools-add-perf_evsel__read_size-function.patch
  New patch: perf-tools-rename-backward-to-overwrite-in-evlist-mmap-and-record.patch
  New patch: perf-top-add-overwrite-fall-back.patch
  New patch: perf-top-check-per-event-overwrite-term.patch
  New patch: perf-top-check-the-latency-of-perf_top__mmap_read.patch
  New patch: perf-top-fix-window-dimensions-change-handling.patch
  New patch: perf-top-remove-lost-events-checking.patch
  New patch: perf-top-switch-default-mode-to-overwrite-mode.patch
  o
- Incorporate git-fixes for FATE#325579
  New patch: perf-mmap-be-consistent-when-checking-for-an-unmaped-ring-buffer.patch
  New patch: perf-mmap-fix-accessing-unmapped-mmap-in-perf_mmap__read_done.patch
  New patch: perf-top-allow-disabling-the-overwrite-mode.patch
  New patch: perf-top-do-not-use-overwrite-mode-by-default.patch
  New patch: perf-top-fix-annoying-fallback-message-on-older-kernels.patch
  New patch: perf-evsel-only-fall-back-group-read-for-leader.patch
* Mon Aug 27 2018 tonyj@suse.com
- libebl ppc64 dependancy was inadvertantly dropped, regression from
  "Thu Jun 15 22:27:56 - Add ppc64 requires on libebl (bsc#1040770)".
  Re-add dependancy (bsc#1106048)
* Wed Aug  1 2018 tonyj@suse.com
- Support crystall ridge / far / near memory indication in PEBS (FATE#325127)
  New patch: perf-test-add-test-cases-for-new-data-source-encoding.patch
  New patch: perf-tools-add-support-for-printing-new-mem_info-encodings.patch
* Wed Aug  1 2018 tonyj@suse.com
- PMU events are not listed because pvr code is missing for POWER9 (bsc#1075525 )
  New patch: perf-pmu-extract-function-to-get-json-alias-map.patch
  New patch: perf-vendor-events-use-more-flexible-pattern-matching-for-cpu-identification-for-mapfile-csv.patch
* Fri Jul 27 2018 tonyj@suse.com
- Merge missing changes from SLE12-SP3 branch
  Thu Jan 18 01:12:14 UTC 2018 - tonyj@suse.com
  - Add necessary power pvr support (bsc#1075525)
    New patch: perf-pmu-events-support-additional-power8-pvr-in-mapfile.patch
    New patch: perf-vendor-events-add-power9-pmu-events.patch
    New patch: perf-vendor-events-add-power9-pvrs-to-mapfile.patch
    New patch: perf-vendor-events-powerpc-remove-suffix-in-mapfile.patch
    New patch: perf-vendor-events-update-power9-events-3c22ba52.patch
    New patch: perf-vendor-events-powerpc-remove-duplicate-events.patch
  Wed Dec  6 19:53:35 UTC 2017 - tonyj@suse.com
  - Add perf scripting support for ppc64le (bsc#1056756)
    New patch: perf-scripting-python-add-ppc64le-to-audit-uname
* Fri Jul 27 2018 tonyj@suse.com
- Resequence patches into Patch-mainline order
- Rename power event patches for consistency and to avoid exportpatch
  name clashes
  perf-vendor-events-update-power9-events.patch ->
    perf-vendor-events-update-power9-events-9749adc3.patch
  perf-vendor-events-powerpc-update-power9-events.patch ->
    perf-vendor-events-update-power9-events-e795dd42.patch
* Wed Jul 25 2018 tonyj@suse.com
- Initial checkin for SLE12-SP4.  Rebase off SLE15.
- Add JSON perf event lists for GLP (FATE#325092)
  new patch: perf-vendor-events-add-goldmont-plus-v1-event-file.patch
- Support perf core/uncore event list for Skylake server (FATE#325122)
  new patch: perf-vendor-events-add-core-event-list-for-skylake-server.patch
  new patch: perf-vendor-events-add-skylake-server-uncore-event-list.patch
  new patch: perf-jevents-support-fcmask-and-portmask.patch
* Tue Jun 12 2018 tonyj@suse.com
- perf script: Show hw-cache events (bsc#1096885)
  new patch: perf-script-show-hw-cache-events.patch
* Mon Apr  9 2018 tonyj@suse.com
- More Power9 event updates (bsc#1056686)
  New patch: perf-vendor-events-update-power9-events.patch
* Tue Apr  3 2018 tonyj@suse.com
- Add libpython support, regression from SLE12 (bsc#1082197)
* Fri Mar  9 2018 tonyj@suse.com
- Fix attr.exclude_kernel setting for default cycles:p (bsc#1083691)
  Regression from commit Mon Nov 27 23:45:48 UTC 2017
  New patch: perf-evsel-fix-attr-exclude_kernel-setting-for-default-cycles-p.patch
  New patch (dependent): perf-evsel-allow-asking-for-max-precise_ip-in-new_cycles.patch
- Git-fixes change (bsc#1070010)
  Fixes: perf-annotate-fix-storing-per-line-sym_hist_entry.patch (Mon Nov 27)
  New patch: perf-annotate-fix-storing-per-line-sym_hist_entry.patch
* Thu Feb 22 2018 tonyj@suse.com
- perf vendor events: Use more flexible pattern matching for CPU
  identification for mapfile.csv (bsc#1081960)
  New patch: perf-pmu-extract-function-to-get-json-alias-map.patch
  New patch: perf-vendor-events-use-more-flexible-pattern-matching-for-cpu-identification-for-mapfile-csv.patch
* Thu Jan 18 2018 tonyj@suse.com
- powerpc: fix 'Object code reading' test (bsc#1073195)
  New patch: perf-test-powerpc-fix-object-code-reading-test.patch
* Mon Nov 27 2017 tonyj@suse.com
- Update power9 events (bsc#1069737)
  New patch: perf-vendor-events-powerpc-update-power9-events.patch
- Memory corruption due to zero length symbols (bsc#1068222)
  New patch: perf-symbols-fix-memory-corruption-because-of-zero-length-symbols.patc
- Incorporate fixes identified by git-fixes and their dependencies (bsc#1070010)
  New patch: perf-annotate-browser-display-titles-in-left-frame.patch
  New patch: perf-annotate-document-show-total-period-option.patch
  New patch: perf-annotate-do-not-overwrite-sample-period.patch
  New patch: perf-annotate-introduce-struct-sym_hist_entry.patch
  New patch: perf-annotate-rename-sum-to-nr_samples-in-struct-sym_hist.patch
  New patch: perf-annotate-stdio-fix-column-header-when-using-show-total-period.patch
  New patch: perf-annotate-stdio-fix-show-total-period.patch
  New patch: perf-annotate-stdio-set-enough-columns-for-show-total-period.patch
  New patch: perf-annotate-stdio-support-show-nr-samples-option.patch
  New patch: perf-annotate-store-the-sample-period-in-each-histogram-bucket.patch
  New patch: perf-annotate-tui-clarify-calculation-of-column-header-widths.patch  New patch: perf-annotate-tui-fix-column-header-when-toggling-period-percent.patch
  New patch: perf-annotate-tui-fix-show-total-period.patch
  New patch: perf-annotate-tui-set-appropriate-column-width-for-period-percent.patch
  New patch: perf-annotate-tui-use-sym_hist_entry-in-disasm_line_samples.patch
  New patch: perf-evsel-set-attr-exclude_kernel-when-probing-max-attr-precise_ip.patch
  New patch: perf-ftrace-move-setup_pager-before-opening-trace_pipe.patch
  New patch: perf-hists-pass-perf_sample-to-_symbol__inc_addr_samples.patch
  New patch: perf-jvmti-fix-linker-error-when-libelf-config-is-disabled.patch
  New patch: perf-probe-fix-kprobe-blacklist-checking-condition.patch
  New patch: perf-report-remove-unnecessary-check-in-annotate_browser_write.patch
  New patch: perf-scripts-python-fix-missing-call_path_id-in-export-to-postgresql-script.patch
  New patch: perf-test-make-list-subcommand-match-main-perf-test-numbering-matching.patch
  New patch: perf-tests-attr-fix-no-delay-test.patch
  New patch: perf-test-sdt-handle-realpath-failure.patch
  New patch: perf-tools-really-install-manpages-via-make-install-man.patch
  New patch: perf-trace-fix-off-by-one-string-allocation-problem.patch
* Fri Sep 15 2017 tonyj@suse.com
- Fix x86 32bit build error
  New patch: perf-provide-definition-for-einval-on-32bit.patch
* Thu Sep  1 2016 tonyj@suse.com
- Fix build error (tips.txt) on Leap42.2
- Fix doc file attributes
* Mon Jun  6 2016 jslaby@suse.com
- disable Werror completely. It breaks build due to shadow variables
  in external (perl) headers.
- add %%{?_smp_mflags}
* Mon Apr  4 2016 tonyj@suse.com
- Package perf-tips as docs.
- Include support for xz compressed images
* Mon Jan 11 2016 tonyj@suse.com
- Support strace/data.
* Sun Oct 11 2015 dmueller@suse.com
- enable numa support for aarch64
* Thu Jul 16 2015 antoine.belvire@laposte.net
- Remove perf-fix-branch-stack-mode-cannot-be-set.patch (upstreamed).
* Sun Jun 28 2015 antoine.belvire@laposte.net
- Fix build with GCC 5
  * perf-fix-branch-stack-mode-cannot-be-set.patch
* Wed May 13 2015 tonyj@suse.com
- Fix ppc64/ppc64le breakage due to libexecdir/libdir
* Mon Mar  9 2015 dimstar@opensuse.org
- Inject libdir=%%{_libdir} into make calls.
* Thu Jan  8 2015 dimstar@opensuse.org
- Remove build hack for kernel not building against glibc 2.20.
* Thu Nov 27 2014 dimstar@opensuse.org
- Build hack: if util/util.h does not (yet) define _DEFAULT_SOURCE,
  we export WERROR=0, which removes -Werror from CFLAGS. Once a
  kernel lands that defines _DEFAULT_SOURCE, we fail the build in
  to remove this hack, making it a (hopefully_ short-livinging one.
* Fri Jun 27 2014 tonyj@suse.com
- Build for s390[x] without libunwind (bnc#882855)
* Tue Mar 25 2014 aj@ajaissle.de
- Fix current build including 'trace event' plugins
- Do not include 'trace event' plugins when on armv7l
- BuildRequire libnuma-devel to enable 'perf bench numa mem', but
  only require if we build for ia64 x86_64 ppc64 ppc64le  ppc %%sparc
- Spec cleanup:
  * Add Url: https://perf.wiki.kernel.org/
  * Drop %%clean-section: We don't need to cleanup the buildroot
  * bash_completion.d/perf doesn't need executable bit
* Fri Jan 24 2014 tonyj@suse.com
- Fix build errors (invoke Makefile.perf directly to pass perfexecdir)
- Add /usr/bin/trace alias for perf (mainline b52bc234)
- Add libperf-gtk.so (loaded via dlsym, mainline fc67297b)
* Wed Dec  4 2013 tonyj@suse.com
- Drop patch perl-5.18-nowarn.patch (mainline)
* Thu Sep  5 2013 mls@suse.de
- add libperl_requires, as we link against libperl and thus
  need a specific version of perl
* Wed Aug 21 2013 tonyj@suse.com
- Resolve build errors
- Drop patch perf-tests-ppc64-fix-compile-errors.patch (mainline)
- Refresh patch perl-5.18-nowarn.patch
* Wed Jul 10 2013 tonyj@suse.com
- Add patch 'perf-tests-ppc64-fix-compile-errors.patch' to resolve
  openSUSE:Factory:PowerPC testsuite build errors
* Tue Jul  9 2013 tonyj@suse.com
- Add audit-devel, gtk2-devel and libunwind-devel to support optional
  functionality.
- Add 'perl-5.18-nowarn.patch' to squelch build errors from perl.h
- Add perl_requires
- Fix --version output (copy submakefiles from kernel-source)
- Pass SUSE rpm optflags into make as EXTRA_CFLAGS not CFLAGS
- Stop building with V=1, make output easier to parse
* Tue Dec 25 2012 tonyj@suse.com
- Add /etc/bash_completion.d/perf to %%files (fix build error)
* Wed May 16 2012 toganm@opensuse.org
- Fix build for factory
  * added flex and bison to buildrequires
* Thu May  5 2011 idoenmez@novell.com
- Also copy arch/lib to fix compilation on x86-64
- Correctly depend on libdw-devel to fix dwarf support
- Add newt-devel dependency to enable text user interface
- Re-enable as-needed support since it works now
* Tue Mar  9 2010 tonyj@novell.com
- 2.6.33 changes
  add perf-bench, perf-buildid-list, perf-diff, perf-kmem, perf-probe and
  perf-trace-perl
  [Still pending, update of libdwarf to version > 20081231]
* Thu Nov  5 2009 tonyj@novell.com
- 2.6.32 changes
  add perf-sched, perf-timechart and perf-trace man pages
* Wed Aug 26 2009 aj@suse.de
- Remove libbfd.patch since it does not apply and use
  SUSE_ASNEEDED=0 instead.
- Set flag for asciidoc version 8.
* Sun Aug  2 2009 tonyj@suse.de
- Initial checkin of Performance Counters for Linux (PCL) userspace.
  This builds tools/perf out of kernel-source package and requires
  kernel >= 2.6.31
